Edition

Édition

En cliquant Édition dans l'écran principal de Brother's Keeper, la fenêtre de l'écran Édition s'ouvre et affiche une famille avec une personne dans le haut de l'écran, les parents de cette personne, le conjoint ainsi que une série d'onglets pour les événements, enfants, notes, etc..

Si l'écran est vide, vous pouvez cliquer le bouton Ajout dans la barre des menus pour ajouter une nouvelle personne ou le bouton Recherche trouver une famille existante. Quand une famille est affichée, vous pouvez cliquer un bouton pour aller à une nouvelle personne ou famille. Si vous désirez changer quelque information sur une personne, vous pouvez cliquer sur le champ contenant l'information et changer celle-ci.

Pour ajouter des nouveaux événements à une personne, cliquez le bouton Ajouter un événement dans le bas de la fenêtre, cliquez le premier champ vide de la nouvelle ligne qui vient de se créer et choisissez l'événement à ajouter parmi la liste proposée. La liste des événements est assez longue, mais si vous savez exactement ce que vous voulez, vous pouvez taper la première lettre de l'événement lorsque ce champ est sélectionné. Si plusieurs événements commencent par la même lettre tapez la même lettre plusieurs fois jusqu'à ce que l'événement recherché apparaisse. Pressez ensuite la touche Tab pour passer au champ suivant de l'événement.

Si une personne a deux couples de parents, le chiffre 1 apparaîtra après le père et la mère. Pour visualiser l'autre couple de parents, clicquez le menu Fichier et sélectionnez Autres Parents.

Si une personne a plus d'un conjoint, il y aura une barre de défilement à la droite du conjoint. Cliquez les flèches du haut ou du bas pour apercevoir l'autre conjoint. Il y aura aussi une case après le mot Époux ou Épouse indiquant quel conjoint est affiché. Par exemple, 1 de 3 signifie que le premier des trois conjoints est affiché.

Si les conjoints ne sont pas classés dans l'ordre des mariages, cliquez Édition dans la barre des menus et sélectionnez Réordonner les conjoints.

Pour ajouter un conjoint à une personne, vous pouvez cliquer Ajout dans la barre des menus et ensuite Conjoint ou Partenaire.

L'appui sur le bouton Père, Mère ou Conjoint permet d'afficher cette nouvelle personne.

Pour ajouter un enfant à un couple ou à une personne seule, vous cliquez le bouton Ajout enfant ou Ajout dans la barre des menus.

Après avoir cliqué l'onglet enfants, vous pouvez cliquer deux fois le nom d'un enfant pour déplacer cet enfant en haut de l'écran et visualiser les informations s'y rapportant.

Si les enfants ne sont pas affichés dans l'ordre de leur naissance, cliquez le bouton Réordonner les enfants dans le bas de l'onglet enfants. Déplacez les noms dans l'ordre désiré et cliquez ensuite le bouton Enregistrer pour sauvegarder vos modifications. Si un enfant est relié à de mauvais parents, cliquez le bouton Supprimer le lien enfant au bas de la grille Enfants.

Les enfants qui ont un conjoint ou un/une partenaire auront leurs noms précédés d'un signe + (plus). De cette manière, si vous ne voyez pas le signe +, il n'est pas nécessaire de cliquer deux fois cet enfant pour déterminer s'il a ou non des descendants.

Si vous avez choisi l'option d'affichage de la date de la dernière modification, celle-ci sera indiquée dans la partie supérieure de la grille événements.

Si vous ajoutez une nouvelle personne, saisissez-la dans l'ordre prénoms suivi du patronyme et pour plus de clarté il est conseillé de taper le nom de famille en majuscules pour éviter la confusion avec des noms de famille tels que MICHEL, LAURENT, etc.. Entrez les prénoms qui furent donnés à la naissance, même si le prénom usuel a été changé par la suite. Si vous entrez un nom déjà enregistré dans la base de données, une fenêtre s'ouvrira avec ce nom et vous demandera si c'est la personne en question; si vous entrez une autre personne ayant le même nom, appuyez sur Echap et continuer à saisir les données.

Si une personne de sexe féminin est mariée, son patronyme sera automatiquement remplacé par celui de son mari sur les rapports imprimés d'anniversaire de naissance ou autre. Si vous ne désirez pas ce changement automatique, vous pouvez désactiver cette option dans la rubrique Préférences du menu Fichier.

Si une personne a un pseudonyme ou est connue sous un autre patronyme, vous pouvez introduire ce nom en cliquant l'onglet Noms.

Les seuls champs qui sont nécessaires lors de la saisie d'une nouvelle personne sont les champs prénoms, nom et sexe.

Quand vous tapez une date dans le format JJMMAAA (ou le format nord-américain MMJJAAAA si vous avez choisi cette option), où JJ est le jour, MM le mois et AAAA l'année, le logiciel fera automatiquement la conversion dans un format standard (1-12) que vous avez choisi au moyen de la commande Préférences dans le menu Fichier de l'écran principal. Par exemple si vous entrez la valeur 31121996 dans le champ date, le programme convertira automatiquement la valeur en 31 déc 1996. Voyez aussi les différents Formats date.

Pour entrer un éventail de dates, cliquez deux fois le champ date. Une fenêtre s'ouvrira et vous pourrez introduire une date de commencement et de fin. Par exemple, une personne peut avoir eu une activité commençant à une certaine date et finissant à une autre date. D'autre part si vous n'êtes pas certain(e) d'une date vous pouvez également utiliser cette fenêtre. Par exemple si vous savez qu'une personne est née ou décédée entre 1980 et 1985 vous pouvez entrer ces valeurs dans cette fenêtre.

Outre les champs date et lieu pour chaque personne, vous pouvez saisir la Source de l'événement en appuyant sur F6 ou cliquer la colonne intitulée S. Cette source s'imprimera en note de bas de page sur plusieurs rapports. Si plusieurs événements ont la même source, vous pouvez sélectionner la source dans une liste de sources existantes. Après avoir sélectionné la source maîtresse, vous pourrez entrer les détails supplémentaires.

Si une personne a une source attachée à un événement, un S sera affiché dans la colonne Source. Cliquez le S pour entrer ou visualiser une source ou appuyez sur F6 si vous êtes dans un champ date ou lieu.

Si vous avez des notes complémentaires concernant une personne, ouvrez l'onglet Notes. Pour introduire une note, cliquez le bouton Créer et entrez le texte. Cliquez ensuite le bouton Enregistrer en interne pour sauvegarder les notes dans la base de données. Alternativement, vous pouvez cliquer le bouton Enregistrer sous.. si vous préférez un fichier séparé sur votre disque dur qui par la suite pourra être édité avec un logiciel de traitement de texte.

Si vous désirez entrer une note se rapportant à un événement spécifique, vous pouvez cliquer la colonne intitulée N dans la ligne de l'événement.

La colonne en-dessous du T dans une ligne événement vous permettra d'entrer un nom de témoin pour cet événement, par exemple naissance, mariage, décès, etc..

Le champ Réf(érence) est également utilisé comme un index par le programme. Si vous utilisez votre propre système de numérotation pour les personnes , vous pouvez entrer ce numéro dans le champ Réf et vous pourrez trouver cette personne par la suite en utilisant ce numéro. Pour trouver une personne en utilisant le champ Réf, tapez / suivi du numéro quand le programme vous invite à taper un nom ou numéro. N'introduisez pas le signe / dans le champ Réf, mais uniquement quand vous recherchez une personne. Par exemple, si vous entrez le numéro 123 dans le champ Réf pour une personne, vous retrouverez celle-ci en tapant /123 quand le programme vous demande un nom ou un numéro.

Vous pouvez entrer une adresse postale pour chaque personne ou famille. Cette adresse peut être imprimée sur les fiches familiales et sur les rapports sur mesure (tel que rapport numérique et alphabétique). Si vous désirez imprimer le numéro de téléphone, cliquez le menu Fichier Préférences et ouvrez à l'onglet Divers; choisissez l'impression de la ligne 6.

Information sur le mariage:

Toutes les données sur le mariage seront placées en-dessous des informations individuelles. Vous pouvez changer l'ordre des événements dans la grille avec les boutons Glisser en haut et Glisser en bas, mais l'événement mariage doit rester en-dessous de l'information individuelle.

Si vous entrez un couple non marié, ajoutez l'événement Non mariés. Les différents états ne mentionneront pas ce couple en temps que mari et femme.

Si vous avez accidentellement modifié les données d'une personne et désirez remettre les données 'd'avant la modification, vous pouvez cliquer Édition et Annuler les derniers changements. Cette action supprimera les derniers changements apportés à la personne.

Enfin, si vous voulez ajouter des informations supplémentaires pour un lieu, vous pouvez cliquer deux fois le nom du lieu dans la ligne de l'événement et une nouvelle fenêtre s'ouvrira où vous pourrez ajouter ces informations supplémentaires.

Vous pouvez entrer un adresse postale pour chaque personne ou famille. Cette adresse pourra être imprimée sur les Fiches de famille, et sur les Rapports sur mesure (tels que Rapport numérique ou Rapport alphabétique). Si vous voulez aussi imprimer un numéro de téléphone, cliquez la rubrique Préférences dans le menu Fichier de l'écran d'acceuil et dans l'onglet divers choisissez 6 pour le format des étiquettes. A la droite de l'adresse postale apparaissent une série d'options pour Vacances, Anniversaire, Réunion, etc.. Si ces options sont activées pour certaines personnes, vous pourrez sélectionner certains groupes quand vous imprimerez les adresses sur les rapports sur mesure. Dans le cas où vous voulez générer un rapport sur mesure avec seulement les adresse, vous pouvez aussi ajouter le champ 92 ; par la suite, en cliquant le bouton Imprimer, le programme vous demandera quel groupe d'adresses vous désirez imprimer.

Cliquez pour l'information sur les photos .

Cliquez pour l'information sur les fichiers média .

Cliquez por l'information sur les tâches "à faire".


Glossaire

Glossaire__A">

D

d'Aboville

Glossaire__G">

G

gedcom

Glossaire__H">

N

Numéro de code BK

Glossaire__S">

S

Sosa-Stradonitz

Glossaire__Z">


La méthode d'Aboville de repérage des descendants d'un ancêtre est celle de préférence retenue. Cette méthode assigne un numéro au descendant de la personne retenue qui est celui de l'ordre de celui de leur naissance. L'aîné reçoit le N° 1, le second enfant le N° 2 et ainsi de suite. Les enfants nés d'un remariage rentrent en ligne de compte comme ceux du premier lit, simplement les deux enfants ont leur numéro complété d'une lettre: a pour le premier lit, b pour le second, c pour le troisième, etc., par exemple 1.4.3b.2. Certains préconisent de ne pas mettre de point de séparation: 143b2, ainsi que de prévoir les compléments au-delà du 9ème enfant tels que: &, $, etc..

La personne portant le numéro 1.4.3b.2, descendant d'un ancêtre portant le numéro Sosa-Stradonitz 38, sera indexée (préfixée) 38/1.4.3b.2, c'est-à-dire qu'elle attribue à un enfant le numéro de son père complété du numéro d'ordre de sa naissance. Caractéristiques de la méthode:

- Le numéro d'un descendant comptabilise les générations: Il y a autant de numéros qu'il y a de générations.

- Le chef de famille agnatique est le descendant vivant portant le numéro dont la somme des nombres le composant est la plus faible.

Les inconvénients majeurs de cette méthode sont la lourdeur à partir de quatre ou cinq générations, ex: 2.6.4b.11.4, ainsi que la découverte d'un enfant jusqu'alors ignoré, qui impose de revoir l'ensemble de la numérotation.


Un fichier GEDCOM est un fichier qui contient des noms, dates, lieux et notes dans un format spécial pouvant être lu par des autres logiciels de généalogie. GEDCOM est un sigle tiré de GEnealogy Data COMmunications. Lors du transfert d'informations d'un logiciel à l'autre, il arrive souvent que certaines données, telles que les sources ne soient pas transférées correctement.


Livret d'ascendance

Pour imprimer ce rapport d'ascendance, cliquez Ascendance dans la barre des menus de l'écran principal et puis Livret d'ascendance (pour une liste d'ascendance, voyez Rapports sur mesure).

Ce rapport imprimera toutes les informations sur les ascendants d'une personne et éventuellement un index alphabétique. Si vous avez l'intention de publier un livret dans le même style que ce rapport, vous pouvez diriger la sortie de rapport sur un disque en format RTF et utiliser par la suite un traitement de texte ou un autre programme approprié pour améliorer ou modifier ce livret. Pour créer un fichier RTF, voyez les options dans l'onglet des options et par la suite cliquez Fichier dans la barre des menus et ensuite Créer fichier RTF.

Le rapport d'ascendance utilise la numérotation Sosa-Stradonitz pour chaque personne.

Cliquez ici pour les Options Registre Alinéas et Ascendance


Ajout d'une source à une série de personnes

Si vous souhaitez ajouter une source à un groupe de personnes, cliquez Fichier dans l'écran principal, Utilitaires et Ajout d'une source à une série de personnes.

Ce sous -programme est intéressant dans le cas où vous avez reçu un fichier Gedcom que vous ajoutez à votre base de données. Il vous sera alors possible d'ajouter une source à chacune de ces nouvelles personnes indiquant de qui cette information a été reçue.


Ascendance

Le menu Ascendance dans la barre des menus de l'écran principal offre les choix ci-dessous. Cliquez un mot souligné pour obtenir des détails complémentaires.

Arbre ascendant

Schéma comprimé

Tableau chronologique

Livret d'ascendance

Liste d'ascendance personnalisée

Organigramme d'ascendance

Arbre ascendant circulaire


Organigramme d'ascendance

Ce programme génère un graphique des ascendants d'une personne de votre choix, sous forme de cases à l'horizontale. Ces cases contiendront les informations des parents, grands-parents, arrière-grands-parents, etc.. (9 générations - 511 personnes) de la personne. Si vous désirez imprimer le diagramme, cliquez Fichier dans la barre des menus et sélectionnez Imprimer. Le programme imprimera les six premières générations sur un groupe de feuilles et les trois dernières générations sur un autre groupe de feuilles de manière à vous permettre de les assembler par collage. Si vous choisissez d'imprimer, veillez à choisir un caractère d'imprimante qui vous permet de caser 6 générations sur la largeur d'une page. En choisissant par exemple le caractère Times New Roman 10 point, cela ne devrait poser aucun problème.


Arbre ascendant

En cliquant Arbre ascendant dans le menu Ascendance, ou quand vous cliquez le bouton Ascendants dans l'écran Édition, vous pouvez afficher un arbre généalogique allant jusqu'à 5 générations.

Si vous cliquez sur la personne principale (la personne de départ), le programme se déplace dans l'écran Édition, tandis que si vous cliquez sur n'importe quelle personne, celle-ci devient la personne principale de l'arbre. Pour aller au conjoint de la personne principale, cliquez deux fois sur son nom (dans la case conjoint). Pour aller à un enfant de la personne principale, cliquez deux fois sur le nom de celui-ci (dans la case enfants). Si une personne a de multiple conjoints, cliquez sur le nom de celui-ci voir les enfants de ce conjoint. Le conjoint qui est mis en évidence (illuminé) sera celui qui sera imprimé en cas d'impression.

Pour imprimer l'arbre, cliquez d'abord sur Options pour ajuster les marges et autres options, ensuite cliquez Imprimer dans le menu Fichier. Lors de l'impression, les lieux rattachés aux événements seront également imprimés.

Vous pouvez également sélectionner les choix suivants sous Préférences :

  • Imprimer le numéro de code BK
  • la numérotation Sosa-Stradonitz ou aucune numérotation.
  • Imprimer une annotation personnelle en pied de chaque page.
  • Lors de l'impression de multiple pages, l'impression comprendra 4 générations par page et vous aurez le choix entre commencer chaque page par la personne 1 ou continuer la numérotation de la page précédente.

Pour enregistrer cet arbre dans un fichier RTF, cliquez Fichier dans la barre des menus et Créer Fichier RTF.

Cliquez le bouton Enregistrer si vous désirez garder les options pour une impression future.


Arbre ascendant circulaire

Cette option va vous permettre d'imprimer 5 à 6 générations dans un format semi-circulaire. Choisissez la personne de départ et les options que vous désirez. Dès que vous aurez cliqué le bouton Démarrer, 5 générations seront affichées à l'écran. En cliquant Fichier > Imprimer, le système imprimera l'arbre avec les options que vous avez choisies. Le programme est désigné pour imprimer l'arbre sur une page. Essayez d'imprimer avec une taille caractère de 9 points. Après avoir examiné l'impression, vous pourrez changer la taille des caractères en 8 ou 10 points, si vous le souhaitez. Cependant, si vous imprimez un arbre contenant 6 générations, vous devrez sans doute choisir une taille caractère de 7 points.


Attacher une photo à la citation

Attacher une photo à une source

Dans l'écran Sources, vous pouvez cliquer un bouton qui vous permet d'attacher une photo ou un autre type de fichier à la source. Vous pouvez attacher la photo à la Source Maîtresse ou à la citation de la source. Actuellement, la note n'apparaît pas sur les rapports.


Sauvegarde des données

En cliquant Fichier > Sauvegarde des données dans l'écran d'accueil, une nouvelle fenêtre s'ouvrira et vous serez à même de sauvegarder vos fichiers données Brother's Keeper. Ceci créera une copie de votre base de données que vous pourrez mettre en lieu sûr, de manière à pouvoir restaurer vos celle-ci en cas d'accident majeur sur votre ordinateur. Ce programme a aussi la possibilité de sauvegarder tout fichier externe, photos, média et notes que vous avez créé et attaché aux personnes.

Si vous avez une clé mémoire USB, vous pouvez cliquer le bouton "Choix d'un autre lecteur" et taper la lettre de la clé USB et ensuite cliquez le bouton pour Copier sur ce lecteur.

Si vous avez un lecteur de disquettes (de plus en plus rare) insérez une disquette formatée et cliquez le bouton "COPIER sur le lecteur A:" ou le bouton "Compresser sur le lecteur A:" pour démarrer la sauvegarde. Cette opération copiera les neuf principaux fichiers de données. Si votre base de données est volumineuse, il est recommandé de choisir l'option de compression. Cette dernière vous permettra de copier votre base de données sur une disquette même si la taille des fichiers excède 1,44 Megaoctets. Le fichier compressé s'appelle BK6DATA.ZIP. Si vos fichiers données sont extrêmement volumineux et que la disquette ne peut contenir la sauvegarde, l'option multi-disquettes deviendra disponible sur l'écran.

Si votre ordinateur dispose d'un enregistreur de CD (CD Writer), vous pouvez sauvegarder vos données sur un CD.La façon d'opérer dépend de votre version de Windows. Si vous avez Windows XP, suivez la procédure au bas de l'écran sauvegarde et entrez votre nom d'utilisateur XP (celui-ci peut être obtenu en appuyant sur F6). Un nouveau bouton intitulé "Copier sur un CD-R (Win XP)". L'appui sur ce bouton, copie les fichiers données dans une zone de stockage temporaire. A la fin de cette copie, XP va vous prévenir que des fichiers sont en attente d'écriture sur un CD.

Si vous utilisez Windows Vista, vous pouvez cliquer le bouton "Choix d'un autre lecteur" et taper la lettre de votre lecteur CD-R. Cliquez ensuite le bouton "Copier sur le lecteur X:", X étant la lettre de votre lecteur CD-R.

Si vous utilisez Windows 98 ou 2000, Brother's Keeper ne peut pas écrire sur un CD, à moins que vous ayez un programme tel que ' CD Direct ' ou un programme similaire en exécution qui permette d'écrire sur un CD. Dans l'écran de sauvegarde cliquez "Choix d'un autre lecteur" et tapez la lettre de votre lecteur CD. Si vous obtenez une erreur après avoir cliqué "Copier sur le lecteur X:",vous n'avez peut-être pas les programmes nécessaires en exécution. Un test rapide consiste à ouvrir le programme Wordpad, taper quelques mots, cliquer le menu Fichier > Enregistrer sous…et essayer d'enregistrer sur votre CD. Si ça ne fonctionne pas, cela signifie que le CD n'est pas accessible pour des programmes tels que WordPad et BK.

Les fichiers données sauvegardés peuvent être uniquement utilisés par l'utilitaire Fichier > Restauration des données Restauration des données.

Vous ne pouvez pas visualiser les données sauvegardées en cliquant sur le nom du fichier. N'essayez pas d'ouvrir les fichiers de sauvegarde avec un traitement de texte ou autre programme, sous peine d'endommager les fichiers.

Vous pouvez activer une option dans l'onglet RTF/Divers du menu Fichier > Préférences, de l'écran d'accueil pour vous rappeler de faire une sauvegarde chaque fois que vous quittez le programme.


Anniversaires

En cliquant Anniversaires dans le menu États de l'écran principal, vous pouvez créer une liste d'anniversaires pour une personne quelconque ou pour une sélection de personnes. Si cet état n'apparaît pas correctement, assurez-vous que les options sont correctes pour votre Format date.

Pour imprimer un état, cliquez Imprimer dans le menu Fichier ou Aperçu avant impression dans le menu Fichier pour un affichage à l'écran.

Si vous avez le programme Calendor Creator de Softkey® (toute version depuis 1995), vous pouvez créer un fichier à importer dans cet utilitaire en cliquant Calendor Creator dans le menu Fichier. Cet utilitaire va créer un fichier BIRTHCC.CSV dans votre dossier base de données. Par la suite vous pouvez exécuter Calendor Creator et cliquer File, Open et changer la case "files of types" en "comma separated variables", changer le nom du dossier en celui contenant vos fichiers données et ouvrir le fichier BIRTHCC.CSV. L'utilitaire affichera les colonnes de noms et de dates avec le mot "unassigned" au-dessus de chaque colonne. Cliquez le mot "unassigned" au-dessus des noms et choisissez "event description". Cliquez ensuite "unassigned" au-dessus des dates, choisissez "start date" et sélectionnez le format date qui est utilisé; les autres colonnes ne doivent pas être modifiées. Cliquez OK pour importer les dates. Notez que l'année sera l'année courante à moins que l'on soit en juillet ou plus tard, car dans ce cas on passera à l'année suivante. Si vous créez un calendrier pour l'année suivante, cliquez la flèche au bas de la fenêtre Calendor Creator pour avancer à la période désirée.Assurez-vous que vous avez l'année appropriée dans Calendor Creator. Après avoir importé le fichier BIRTHCC.CSV, les noms devraient apparaître avec les dates correctes dans le calendrier.

Si vous ne possédez pas Calendor Creator, vous pouvez cliquer Calendrier dans le menu Fichier et Brother's Keeper imprimera un Calendrier.


Branches non reliées

Ce programme détermine si chaque individu est dans groupe important de personnes reliées ensemble, ou s'il existe des branches non reliées dans votre base de données. Vous pouvez avoir créé intentionnellement différents groupes, ou vous pouvez avoir apporté des changements à certains liens et laissé accidentellement quelques personnes non reliées. Les personnes qui sont reliées par le lien parent-enfant ou conjoint seront dans un groupe. Si des personnes ne sont en aucune façon reliées au groupe principal, elles seront placées dans un groupe différent.


Brother's Keeper 6.0 pour Windows

Brother's Keeper 6.3

Pour obtenir plus d'informations sur les différents menus de l'écran principal, cliquez sur l'une les lignes ci-dessous. Pour rechercher de l'aide sur un sujet particulier, choisissez votre sujet dans le menu ci-contre.

Fichier

Édition

Descendance

Ascendance

Listes & Rapports

Divers

Aide

Si vous démarrez Brother's Keeper 6.3 pour la première fois, voici trois façons de transférer vos données dans Brother's Keeper 6.3.

1. Vous pouvez convertir les données de la version 5 de Brother's Keeper. Pour ce faire ouvrez le menu Fichier et sélectionnez Conversion des données BK5.

2. Vous pouvez importer un ou plusieurs fichiers Gedcom venant d'un autre programme de généalogie. Pour ce faire ouvrez le menu Fichier et sélectionnez Gedcom > Importer.

3. Enfin, vous pouvez clicquer le menu Édition et saisir vos données.

Pour une aide plus détaillée au démarrage, voyez le manuel utilisateur. Si vous ne trouvez pas l'information nécessaire dans ce fichier Aide ou dans le manuel utilisateur, clicquez le menu Aide >Support technique.


Calendrier

Pour imprimer un calendrier indiquant les anniversaires, cliquez États dans le menu principal et sélectionnez Anniversaires. Ensuite sélectionnez les personnes de votre choix et cliquez Aperçu pour examiner la liste à l'écran. Après avoir visualisé la liste, fermez l'écran Aperçu et cliquez Calendrier dans le menu Fichier.

Vous pouvez imprimer le calendrier pour un mois ou pour l'année complète dans le mode Portrait ou Paysage. Pour imprimer le calendrier sur la moitié d'une feuille, utilisez le mode Portrait et ajustez la marge du bas de page à 6 pouces (15 cm).

Si des personnes sont absentes dans la liste d'anniversaires ou dans le calendrier, ou si les dates sont incorrectes, voyez les Formats date.

Si vous possédez le logiciel "Calendor Creator", vous pouvez exporter les informations anniversaires dans un fichier et par la suite importer ce fichier dans ce logiciel. Pour plus d'informations, cliquez ici.


Modification globale des sources

En visualisant une source pour une personne à partir de l'écran Édition, vous pouvez changer la partie supérieure de la source qui est la source maîtresse. Quand vous quittez cet écran, il vous est demandé si vous voulez changer la source uniquement pour la personne concernée ou globalement. Si vous changez la source uniquement pour la personne, le système va créer une nouvelle source incluant les changements que vous avez apportés et laisser la source d'origine inchangée, puisque d'autres personnes peuvent être reliées à cet dernière. Si vous choisissez de changer la source globalement, le logiciel changera la source pour toute personne utilisant cette source maîtresse.


Filiation

Quand vous cliquez Recherche dans la barre des menus de l'écran Édition et Filiation, vous pouvez spécifier si les parents de cet enfants ne sont pas ses parents légitimes. Vous pouvez indiquer que la mère ou le père sont :

Légitimes Enfant issu d'un couple marié

Adoptifs Enfant adopté

Beaux-parents Enfant d'un conjoint remarié né du précédent mariage

Nourriciers Enfant pris en charge, non adopté

Non mariés Enfant naturel

Si les parents ne sont pas les parents légitimes de l'enfant, le mot Père et/ou Mère sera en caractères italiques dans l'écran Édition.


Schéma comprimé

Pour créer ce schéma, cliquez le menu Ascendants dans la barre des menus de l'écran principal et sélectionnez Schéma comprimé. Ce rapport vous montrera les ascendants d'une personne jusqu'à 99 générations en arrière. Il y aura une ligne pour chaque ascendant.

Ce rapport est appelé « comprimé » parce qu'il n'y a pas de lignes blanches ou d'espaces quand des ascendants sont inconnus. Ce schéma s'affichera à l'écran quand vous cliquerez le bouton Démarrer et sera imprimé si vous cliquez Fichier, Imprimer.

Les options de ce rapport vous permettent de choisir le nombre de générations à imprimer et si vous voulez afficher les numéros de code BK, Sosa-Stradonitz ou pas de numéros. Vous pouvez également choisir de montrer les descendants issus de mariages consanguins (implexes).

Si vous affichez un petit schéma et désirez copier l'écran vers un autre programme, vous pouvez sélectionner Arrière plan dans la barre des menus et changer la couleur en blanc et ensuite copier l'écran en appuyant sur la touche Impr écran. Cette opération copiera l'écran dans le presse-papiers d'où vous pourrez insérez le schéma dans Paint ou votre traitement de texte.


Date de naissance

En appuyant sur la touche F2 alors que vous êtes dans l'écran Édition, vous ouvrirez une fenêtre dans laquelle vous pourrez entrer la date de décès d'une personne ainsi que son âge au décès. Le système calculera alors la date de naissance. Ceci est intéressant si vous découvrez une pierre tombale qui indique l'âge au décès.

Note: vous devez vous trouver dans un champ en dehors d'une grille quand vous appuyez sur F2. Par exemple, cliquez sur le champ Nom d'une personne et appuyez sur F2 pour ouvrir la fenêtre de calcul.

Tapez la date dans le format que vous avez défini dans Préférences du menu Fichier ou entrez les chiffres et appuyez sur Tab pour convertir la date.

Entrez le nombre d'années, mois et jours et le logiciel calculera la date de naissance. Vous pouvez ensuite copier le résultat dans le presse-papiers et coller par la suite cette information dans le champ date approprié.

Note: La date de naissance calculée sera erronée si les informations ne sont pas valides. Par exemple, si vous dites qu'une personne est décédée le 31 mars et était née un mois auparavant, le résultat donnera 31 février. Il n'y a pas de date valide un mois exactement avant le 31 mars.


Recherche de parenté

Cette routine vous permet de calculer le ou les liens de parenté entre deux personnes. Vous pourrez visualiser les liens de parenté autres que ceux du mariage; si vous cliquez sur le bouton Autre lien de parenté entre les mêmes personnes, le programme vérifiera s'il existe d'autres liens de parenté que ceux précédemment affichés. Les boutons Aperçu et Imprimer permettent de visualiser ou d'imprimer l'explication de ce lien de parenté.

Ce sous-programme utilise le fichier ENGLISH.R6 pour la version anglaise, ou un fichier avec l'extension .R6 si vous utilisez une autre langue, par exemple FRENCH.R6.


Conversion en minuscules ou majuscules

Ce sous-programme peut être utilisé pour changer les noms de chaque personne en lettres majuscules ou minuscules ou encore en format normal où la première lettre est une majuscule.

Par exemple, si vous importez un fichier GeDCom contenant des noms qui ne sont pas dans votre format préféré, ce programme dans Fichier, Utilitaires peut être utilisé pour changer les noms.


Conversion des données BK 5

Si avez des données dans la version 5.x de Brother's Keeper, vous pouvez les convertir dans le format BK6. Pour ce faire cliquez Fichier dans l'écran principal et sélectionnez la rubrique Conversion des données BK5. Le logiciel vous demandera de localiser les données BK5, convertira celles-ci dans le nouveau format et les placera dans le dossier actuellement ouvert. Ce dossier doit contenir une base de données BK6 vide. Pour créer une nouvelles base de données voyez Ouverture d'une base de données.

Plusieurs options existent et prenez quelques minutes pour les étudier avant de faire la conversion. Les fichiers texte ou photo peuvent être transférés dans un nouveau dossier. Pour choisir un dossier différent sous lequel les fichiers texte ou photo seront stockés, cliquez Fichier, Préférences dans l'écran principal avant de faire la conversion.

Si vous avez plusieurs bases de données, telles que C:\BK5\MARTIN\... et C:\BK5\DUPOND\... vous devrez exécuter ce programme de conversion pour chaque base de données.

Si vous avez des données dans le format Brother's Keeper 4.0 ou 4.5, contactez John Steed pour obtenir un programme de conversion adéquat. Toutefois, si vous possédez le CD, le programme de conversion Convert5 est sur le CD. Voyez le fichier ReadMe pour une aide.


Conversion du format date

Si vous voulez changer tous les formats date dans votre base de données, en un autre format, cliquez Fichier dans l'écran principal ensuite la commande Conversion du Format Date. Il est conseillé d'avoir une copie de sauvegarde de votre base de données avant d'exécuter cette routine. Voyez aussi Formats date

Les nouvelles dates que vous entrerez à partir de ce moment seront converties selon le format que vous avez choisi dans la zone des préférences, mais cette routine convertira également les dates qui avaient été entrées précédemment.


Nombre de descendants

Ce rapport indique combien de descendants une personne possède. Ce calcul par génération indique le nombre de descendants, le nombre de conjoints de ceux-ci ainsi que les totaux de chaque colonne.


Création d'un fichier index

Quand le logiciel crée un fichier index ou lit tous les noms de la base de données, un indicateur de progression apparaîtra à l'écran. Pour annuler la procédure, cliquez le bouton Annuler.


Créer une base de données Palm

Cet utilitaire vous permet de sélectionner une liste de noms et de les transférer dans un fichier de format Palm. Palm est une compagnie qui fabrique des petits ordinateurs de poche ils tiennent dans la paume - palm en anglais- de la main et utilisent un stylet/bâtonnet en plastique pour écrire sur l'écran.

Vous pouvez sélectionner toutes les personnes (série de numéros), les ascendants ou descendants ou une combinaison.

Dès que vous cliquez Copier, le programme va créer un fichier contenant ces personnes et vous pourrez par la suite transférer les données de ce fichier vers un ordinateur de poche Palm.

Dès que le programme Brother's Keeper démarre sur le PC Palm, vous verrez une liste alphabétique de noms. En cliquant sur un nom, le programme va présenter une fiche de famille d'où vous pourrez vous déplacer vers les parents, ascendants ou un enfant. Si vous cliquez Liste, vous reviendrez à la liste alphabétique de noms. Si vous avez un grand nombre de noms, vous pouvez commencer la recherche en entrant la lettre dans le champ Find et et cliquer Find.

Si vous rencontrez des difficultés en chargeant une nouvelle base de données sur le PC Palm, vous pouvez supprimer le programme Brother's Keeper sur le PC Palm et charger la nouvelle base de données. Ce nouveau chargement va réinstaller le programme.


Rapports sur mesure

Rapports personnalisés

L'utilitaire des Rapports personnalisés est invoqué lors de l'exécution des commandes Rapport alphabétique, Rapport numérique, Rapport par n° de Référence du menu Listes & Rapports de l'écran principal ou Liste d'ascendance personnalisée du menu Ascendance. Vous pouvez personnaliser ces listes ou rapports au moyen de trois onglets d'options :

Le premier onglet vous permet de choisir les marges, la pagination du document, c'est à dire l'option d'impression des toutes les pages, des impaires ou des paires.

L'option impaires/paires n'est pas disponible aux utilisateurs non enregistrés.

Le deuxième onglet permet de sélectionner les personnes à inclure dans le rapport. Lors de l'impression d'un rapport alphabétique ou d'un rapport d'anniversaire, vous avez le choix entre inclure toutes les personnes de la base de données ou une sélection des ascendants et/ou descendants d'une personne. Vous pouvez même sélectionner plusieurs groupes tels que les ascendants d'une personne et les descendants d'une autre personne. Lors de la sélection de chaque groupe, le programme affichera le nombre de personnes sélectionnées. Si vous avez fait une erreur, vous pouvez cliquer le bouton Biffer et recommencer votre sélection.

Dans les rapports alphabétiques, vous pouvez choisir d'imprimer les nom et prénom seulement ou le nom jeune fille et le nom du mari plus le pseudonyme pour chaque personne. Ceci peut causer plusieurs apparitions de la même personne chaque fois sous un nom différent.

Dans le troisième onglet, vous précisez les champs à inclure dans le rapport. Dans la partie gauche de cet onglet, vous pouvez choisir un rapport parmi une liste que vous avez sauvegardé précédemment. Pour conserver le format (numéros de champ et longueurs) d'un rapport que vous créez, Cliquez Fichier et puis Enregistrer le format rapport.

La partie droite de l'onglet contient une liste des champs de données que vous pouvez inclure dans votre rapport. Vous pouvez créer ou modifier des rapports en cliquant deux fois sur le champ que vous désirez inclure. Ce champ sera ajouté à votre rapport. Les champs s'imprimeront dans l'ordre où ils apparaissent dans la partie centrale de l'onglet.

La partie centrale de l'onglet montre les champs du rapport ainsi que le nombre de caractères les composant et leur largeur d'impression. Vous pouvez cliquer dans la première colonne pour changer le numéro du champ ou vous pouvez cliquer dans la deuxième colonne pour modifier le nombre de caractères à imprimer pour ce champ. Par exemple, quand vous imprimez le nom d'une personne, vous pouvez ajuster le nombre de caractères de 40 à 30 et le programme réduira la longueur des noms en imprimant l'initiale du second prénom au lieu du mot entier; vous devrez aussi réduire la largeur d'impression de 40 à 30, sinon le système remplira la zone des derniers caractères après le nom avec des espaces. Si vous désirez augmenter l'espace entre deux colonnes, vous pouvez ainsi augmenter la largeur d'impression de la première colonne.

La largeur totale d'impression du rapport sera indiquée au bas de le fenêtre, en même temps que la largeur de votre papier. La largeur est calculée en fonction de la largeur moyenne des caractères d'imprimante. Pour imprimer davantage de caractères, réduisez soit la taille des caractères, soit le nombre de caractères dans certains champs, ou alors imprimez plusieurs lignes par personne en incluant le champ 31 à l'endroit ou vous voulez commencer une nouvelle ligne.

Si parmi les champs sélectionnés vous avez inclus le nom du conjoint ou la date de mariage, le programme imprimera le premier mariage de la personne. Si vous incluez aussi le champ 98 dans votre sélection, le programme imprimera le dernier mariage de la personne; par contre, si le champ 99 est inclus dans votre sélection, le programme imprimera tous les mariages pour chaque personne. Notez que pour imprimer une personne et tous ses conjoints, vous devez inclure le champ 2 ou 3 pour imprimer le nom de la personne, ainsi que le champ 19 pour imprimer le nom du conjoint et le champ 99 pour imprimer tous les conjoints.

Pour imprimer les adresses sur des étiquettes laser (autocollantes), sélectionnez le champ 97 comme unique champ. Dans la colonne du nombre de caractères, tapez les quatre chiffres du type d'étiquette. Les numéros suivants sont compatibles avec Brother's Keeper: 5260, 5261, 5262, 5263. Souvent, les deux premiers chiffres varient en fonction de la quantité d'étiquettes dans la boîte d'emballage. Ainsi, si votre paquet indique 5160, il s'agit du même format que le 5260. Faites un essai d'impression d'adresses sur une feuille de papier normal pour vous assurer que vos marges du haut et de gauche sont ajustées correctement avant d'utiliser vos étiquettes laser.

Pour imprimer des cartes 3 par 5 pouces (cartes index), choisissez un champ 93 comme premier et unique champ. Dès lors quand vous cliquez Imprimer vous aurez le choix d'imprimer une carte à la fois ou un groupe de 3 cartes pour les imprimantes laser.

Le rapport sur mesure peut être imprimé en cliquant Fichier dans la barre des menus, puis Imprimer ou vous pouvez préalablement voir un aperçu à l'écran en cliquant Fichier dans la barre des menus, puis Aperçu avant impression. Pour diriger la sortie de cet utilitaire dans un fichier texte, cliquez Fichier dans la barre des menus et ensuite Créer fichier TXT.

Vous pouvez aussi envoyer la sortie de ce rapport sur mesure dans un fichier qui contiendra des virgules délimitant les différents champs. Par la suite, vous pourrez utiliser un programme de base de données (tel que Dbase, Paradox, Access) pour importer ce fichier. Pour créer un fichier délimité par des virgules, incluez le champ 91 dans votre sélection.

Pour rappel, si vous souhaitez conserver le format de ce rapport pour des futures utilisations, cliquez Fichier dans la barre des menus et ensuite Enregistrer format.

Cliquez le bouton Enregistrer dans le premier onglet si vous désirez conserver les options (telles que caractères d'impression et marges) pour ce rapport. Ainsi, la prochaine fois que vous imprimerez un rapport sur mesure, le programme utilisera les options que vous avez enregistré précédemment. Ces options sont enregistrées séparément pour chaque type de rapport sur mesure (alphabétique, numérique, etc..).


Statistiques base de données

Quand vous cliquez Fichier dans l'écran principal et sélectionnez la commande Statistiques base de données, vous ouvrirez une fenêtre qui vous indiquera le nombre de personnes existant dans votre base de données, ainsi que le nombre de mariages, lieux, sources et adresses. Le numéro de code BK le plus élevé peut être plus grand que le nombre de personnes dans la base de données si certaines personnes ont été supprimées; en effet, le code BK devenu inoccupé n'est pas réutilisé.


Formats date

Tous les champs date peuvent contenir 15 caractères. Vous pouvez entrer tout type d'information dans ce champ et il sera accepté. Si vous tapez une date dans le format JJMMAAAA, où JJ est le jour, MM le mois et AAAA l'année, le logiciel fera automatiquement la conversion dans un format standard. Si vous tapez JJMMAA, c'est à dire deux chiffres pour l'année, le logiciel convertira l'année en 19AA. Chaque date sera convertie dans le format (1-12) que vous avez choisi au moyen de la commande Préférences dans la menu Fichier de l'écran principal.

Le format 0 ne correspond à aucun type de date, c'est à dire que le logiciel n'apportera aucun changement aux informations que vous avez introduites. Les autres formats (1-12) vont convertir la date que vous tapez. Vous pouvez si vous le désirez inclure des caractères / pour séparer les jour, mois et année; par exemple 12/08/1962. Les différents formats de conversion sont décrits ci-dessous:

Les formats 7, 8 et 9 sont utilisés pour introduire les dates en format européen (JJMMAAAA). En supposant une valeur 14101937 vous obtiendrez:

Type 7 : 14-OCT-1937

Type 8 : 14 OCT 1937

Type 9 : 14-10-1937

Les formats 1 à 6 sont utilisés en Amérique du nord. Si vous tapez 10141937, vous obtiendrez:

Type 1 : 14-OCT-1937

Type 2 : 14 OCT 1937

Type 3 : 10/14/1937

Type 4 : 10-14-1937

Type 5 : OCT-14-1937

Type 6 : OCT 14 1937

Utilisez le format 10 ou 11 si vous entrez les dates dans le format AAAAMMJJ.

Type 10 : 1937.10.14

Type 11 : 1937-10-14

Type 12 : 14.10.1937

Si vous n'utilisez pas un des formats ci-dessus, le logiciel ne pourra pas calculer l'âge des personnes.

Vous pouvez changer l'option appelée "Mois en majuscules ou minuscules" dans l'écran des Préférences de manière à ce que les mois apparaissent en Mai au lieu de MAI et les jours de 1 à 9 seront imprimés 1, 2, 3, etc.. au lieu de 01, 02, 03, etc.. Si votre base de données contient déjà des dates dans un autre format que celui sélectionné, exécutez l'utilitaire Conversion du format date pour changer le format date.

Généralement, si vous entrez moins de 6 caractères ou plus de 8 caractères, ou des caractères alphabétiques (A-Z), aucune conversion n'aura lieu, quelque soit le format date que vous avez choisi. Cependant, vous pouvez taper un ? ou _ pour la partie inconnue de la date pour obtenir la conversion.

Exemple: Si vous ne connaissez pas le jour du mois vous pouvez taper __101937 et la conversion imprimera __ oct 1937, si vous utilisez le format date 8.

La plupart des dates requièrent 10 ou 11 caractères après conversion. Toutefois, le champ a une longueur de 15 caractères pour contenir certaines exceptions. Si vous n'êtes pas certain d'une date, vous pouvez entrer une information additionnelle et le programme reconnaîtra des abréviations telles que ENV pour environ, CIR pour circa, AVT pour avant et APR pour après.

Exemple: Si une personne est décédée avant le 15 mars 1920, vous pouvez taper AVT 15031920 et la conversion affichera AVT 15 mar 1920 si vous utilisez le format 8.

Les abréviations ENV, CIR, AVT et APR peuvent être tapées en minuscules ou majuscules. Vous pouvez aussi entrer les dates avec une année double comme 15 mar 1920/21.


Suppression des lieux/sources inutilisés

Suppression des lieux ou sources inutilisés

Dans l'écran principal, cliquez Fichier et les commandes Lieux ou Sources; ensuite, sélectionnez la rubrique Supprimer lieux inutilisés ou sources inutilisées et le logiciel va parcourir votre base de données et supprimer les lieux ou sources qui ne sont reliés à aucune personne ou mariage.

Cette routine est particulièrement intéressante si vous voyez des lieux ou des sources dans une liste dont vous pensez qu'ils ne sont guère utilisés. Si après avoir exécuté cette routine vous voyez toujours ces noms dans une liste, c'est parce qu'ils sont toujours attachés à une personne. Pour trouver qui est toujours attaché, cliquez États dans l'écran principal, ensuite sélectionnez Recherche de mots et recherchez un lieu ou une source.


Descendance

Le menu Descendance dans la barre des menus, vous offre les choix ci-dessous. Cliquez les mots soulignés pour obtenir des informations complémentaires.

Arbre descendant

Organigramme d'une lignée

Organigramme de 4 familles

Descendance sommaire

Registre de descendance

Générations en alinéas

Nombre de descendants


Organigramme de descendance

Organigramme d'une lignée

Pour démarrer ce graphique, cliquez Descendant dans la barre des menus de l'écran principal et Organigramme d'une lignée. Le programme de graphisme de descendance imprimera un organigramme qui aura une personne par case ainsi que des lignes qui relient les cases. La personne la plus ancienne est au sommet, ses enfants au-dessous d'elle, les petits-enfants au-dessous de ceux-ci etc.. Quand vous affichez l'organigramme, vous pouvez utiliser les flèches gauche/droite pour déplacer la partie affichée.

Si vous désirez des cases plus petites, cliquez Options et raccourcissez la longueur du nom des personnes. Vous diminuerez aussi la taille des cases si vous choisissez une taille de caractère plus petite. pour évaluer la largeur de votre organigramme, cliquez Démarrer et sélectionnez la rubrique Taille.

A l'écran vous pouvez afficher des cases plus petites en cliquant Zoom dans la barre des menus.

Le programme peut imprimer jusqu'à 18 générations et jusqu'à 1200 cases en largeur.

Organigramme de 4 familles

Pour la génération de ce document, Brother's Keeper recherche les arrière-grand-parents (4 familles) de la personne sélectionnée et trace la descendance de ceux-ci sous forme d'un organigramme.

Comme pour l'organigramme d'une lignée, vous pouvez déplacer la partie visionnée en utilisant les flèches gauche/droite. De même, vous pouvez réduire la taille des cases en réduisant la taille des caractères d'impression ou encore en réduisant la longueur des noms.


Descendance sommaire

Pour créer ce rapport, cliquez Descendance dans la barre des menus de l'écran principal et sélectionnez la rubrique Descendance sommaire. Ce rapport imprime tous les descendants d'une personne ainsi que leurs dates de naissance, mariage et décès et décale chaque nouvelle génération vers la droite. Si vous désirez imprimer les lieux, ajustez la taille du caractère d'imprimante à 9 ou 8 points pour obtenir l'espace nécessaire. Alternativement, vous pouvez choisir d'autres rapports tels que Registre de descendance ou Générations en alinéas qui peuvent imprimer les lieux et d'autres champs.

Si vous voulez indiquer le degré de parenté de chaque descendant par rapport à une personne, tapez le nom de cette personne dans le champ "parenté avec". Cette personne doit être la personne de départ de ce rapport ou un descendant de cette personne.

Si vous désirez voir la lignée directe entre deux personnes, tapez la personne la plus ancienne dans la case supérieure et sélectionnez l'option de la lignée directe. Cliquez ensuite la case du second nom et tapez le nom du descendant. Ce choix générera un rapport démontrant la lignée directe entre la personne du haut et la deuxième personne. Un rapport similaire peut être généré au moyen de l'option Recherche de parenté.

Le rapport peut être examiné à l'écran ou imprimé ou enregistré sur disque. Pour enregistrer ce rapport sur disque, cliquez Fichier dans la barre des menus et Créer fichier TXT.


Arbre descendant

Pour démarrer ce rapport, cliquez Descendance dans la barre des menus de l'écran principal et Arbre descendant. Cet utilitaire imprimera un arbre de descendance indiquant les descendants d'une personne avec les parents et enfants connectés par une ligne. Le rapport peut imprimer jusqu'à 40 générations à la fois.

Pour l'impression de l'arbre de descendance, l'option vous est donnée de laisser la longueur des noms à 40 caractères ou de raccourcir leur longueur. La diminution de la longueur des noms est faite en enlevant le second prénom si possible. En ayant la longueur des noms raccourcie, il est possible d'imprimer plus de générations par page et de ce fait un l'arbre est plus condensé. Vous pouvez aussi inclure les noms des conjoints ainsi que les dates et numéros de code.

Pour des rapports volumineux, vous pouvez réduire les marges à zéro de manière à caser le maximum de noms par page.


Liste alphabétique, numérique, etc..

Liste alphabétique, numérique ou référence

Si vous cliquez Liste alphabétique, numérique ou par référence, dans le menu États, vous verrez immédiatement une liste de noms et leurs numéros de code BK. Cette liste est rapide car il n'y a aucun tri effectué sur le nom, mais au contraire l'utilitaire utilise l'index existant dans le fichier. Cet index utilise les cinq premières lettres du nom de famille et les cinq premières lettres du prénom. Ainsi cet affichage rapide ne sera pas très précis pour des noms qui sont similaires et ont leurs cinq premières lettres identiques, par exemple MARTIN et MARTINEZ.

Pour des états plus précis, utilisez plutôt les Rapport alphabétique, numérique ou par ordre de référence décrits précédemment.

Une option d'impression de cette liste est également disponible.

En cliquant Liste des personnes seules dans le menu États, vous obtiendrez une liste de personnes de la base de données qui n'ont aucun lien avec aucune autre, c'est à dire ni père, ni mère, ni enfants. Ceci peut vous aider à trouver les personnes qui doivent être reliées à d'autres ou celles que vous avez déconnecté de votre base de données.

Pendant qu'une liste est affichée à l'écran vous pouvez cliquer deux fois sur un nom pour ouvrir l'écran Édition.


Personnes dupliquées

Si vous avez une personne en double dans votre base de données (la même personne a reçu deux numéros de code BK par le logiciel), vous devez en supprimer une de manière à obtenir des états qui s'impriment correctement. Pour rappel, chaque personne doit être introduite une seule fois et puis reliée aux père, mère, conjoint et enfant(s).

Supposons la situation suivante: Vous ayez saisi une personne deux fois et les numéros de code assignés sont 5 et 21. Dans l'écran Édition de famille, vous voyez que la personne 5 a des parents, mais pas de conjoint ni enfants alors que la personne 21 n'a ni père ni mère mais elle a un conjoint et des enfants.

Dans ce cas, vous devez supprimer la personne 5 qui n'a ni conjoints ni enfants en suivant la procédure suivante: Dans l'écran Édition, affichez la personne 5 et cliquez Suppression dans la barre des menus et puis Supprimer la personne pour supprimer totalement la personne. Ensuite, affichez le couple de parents de la personne et cliquez le bouton Ajout enfant et tapez le numéro 21 (la personne non supprimée) dans le champ du nom de l'enfant.

Si cet enfant n'est pas placé dans l'ordre correct de naissance, cliquez Enfants dans la barre des menus et ensuite Réordonner. Voir Réordonner.

Notez que si une personne a un mauvais conjoint, il ne faut pas supprimer la personne mais simplement supprimer le lien au conjoint. De même, si un enfant a de mauvais parents, il suffit de supprimer le lien à l'enfant au bas de la grille enfants.


Dépôt

Quand vous travaillez dans l'écran édition de Source, il y a un bouton pour visualiser le dépôt. Le dépôt est le nom et l'adresse du lieu qui est en possession de la source. Si la source est un livre, le dépôt peut être une bibliothèque ou un individu. En fait vous voulez indiquer à d'autres personnes où elles peuvent se rendre pour trouver la source que vous avez utilisée.

Si la source est un centre d'archives de État, vous pouvez indiquer le numéro de référence du document ou du microfilm. Ce numéro est ce qui identifie la source au dépôt.

Si vous désirez supprimer un lien d'une source à un dépôt, vous pouvez le faire pendant que vous êtes dans l'écran Source. Dans la barre des menus, cliquez Fichier > Supprimer le lien au dépôt.


Edition de famille

Édition de famille

Si l'écran Édition est ouvert et cliquez Affichage > Édition de famille ou si vous appuyez sur F12, le programme se déplacera dans l'écran Édition de famille. L'écran Édition de famille est similaire à celui qui était utilisé dans Brother's Keeper version 5.2 pour Windows. Certains utilisateur de BK 5.2 peuvent préférer cet écran pour afficher ou se déplacer dans une famille.

Vous pouvez appuyer sur F12 pour retourner dans l'écran Édition normal, ou vous pouvez cliquer Édition et choisir une personne à éditer (Époux, Épouse, Enfant). Vous pouvez également cliquer le nom d'une personne pour ouvrir l'écran Édition pour cette personne.

Certaines fonctionnalités Édition de la version 5.2 ne sont pas disponibles dans cet écran et vous pouvez cliquer une personne pour aller dans l'écran normal Édition pour utiliser ces fonctions.


Editeur de Texte

Éditeur de Texte

Quand vous créez un fichier RTF pour un rapport, vous pouvez par la suite l'ouvrir avec l'éditeur de votre choix; cependant il y a un éditeur par défaut inclus dans Brother's Keeper.

Vous pouvez changer l'éditeur par défaut en cliquant Fichier > Préférences > RTF/Divers, dans l'écran principal.


Erreurs dans le programme

Si une erreur inattendue survient pendant l'exécution du programme, l'écran erreur apparaîtra et il vous indiquera le numéro d'erreur et une brève description de celle-ci. La fenêtre d'erreur indiquera également dans quelle partie du logiciel l'erreur s'est produite et peut-être quel bouton a été cliqué en dernier lieu.

Si vous expérimentez de telles erreurs, il est conseillé de soit imprimer l'écran erreur (avec le bouton Imprimer) ou soit de prendre note des informations de l'erreur; ensuite cliquez le bouton Fermer. Si votre curseur de souris est toujours un sablier, cliquez Fichier dans la barre des menus et ensuite Fermer; l'écran devrait alors se fermer.

Si vous souhaitez envoyer un rapport d'erreur à John Steed, indiquez la date de votre logiciel (Aide, A propos de Brother's Keeper). Indiquez aussi toute information utile, telle que l'erreur survient seulement avec certaines options ou bien quand une personne a de multiples conjoints, etc..

Voir aussi les erreurs Btrieve dans le manuel utilisateur.


Quitter Brother's Keeper

Pour arrêter Brother's Keeper, cliquez Fichier, ensuite Quitter Brother's Keeper. Cette action fermera tous les fichiers données et fermera la fenêtre Brother's Keeper.

L'ajout d'une nouvelle personne est enregistré automatiquement quand vous passez à une autre personne, mais si vous ne sortez pas correctement du logiciel, vous pouvez endommager votre base de données.


Exporter un fichier gedcom

Pour créer un fichier GEDCOM, cliquez Fichier dans la barre des menus de l'écran principal et sélectionnez la commande Gedcom, Export.

Note: Si vous créez un fichier GEDCOM, tous les noms de votre base de données y seront inclus. Si vous voulez transférer une partie de votre base de données, vous devez préalablement exécuter la routine BK Extraction de données.

Il faut savoir que certains programmes requièrent les dates dans un format bien spécifique sinon celles-ci ne seront pas transférées. Si les dates sont dans le format 1 ou 2, tous les programmes devraient être capables de les exploiter. Quelques programmes tel que Personal Ancestral File (PAF) exploiteront les autres formats aussi. Si vous devez changer les formats date, vous devrez exécuter la routine Conversion du format date avant de créer votre fichier GEDCOM. La routine de conversion des dates n'est pas rapide et si vous ne voulez pas altérer votre base de données, vous pouvez essayer de créer le fichier GEDCOM et voir si l'autre programme peut l'exploiter tel quel.

La routine export vous demandera le nom du fichier GEDCOM à créer. Tapez le nom du fichier suivi de l'extension .GED.

Si vous créez un fichier GEDCOM volumineux qui doit être envoyé à quelqu'un d'autre, il est préférable de créer d'abord le fichier sur votre disque dur et par la suite utiliser la routine WINZIP pour copier (compresser) le fichier sur de multiples disquettes.


Fichier (écran principal)

Fichier

Voici les différents choix du menu Fichier de l'écran principal. Pour plus d'information cliquez sur l'une des lignes ci-dessous.

Ouverture d'une base de données

Liste des base de données

Statistiques base de données

Qualité des données

Sauvegarde des données

Restauration des données

Lieux

Modification globale

Suppression des lieux inutilisés

Sources

Modification globale

Fusion des sources dupliquées

Suppression des sources inutilisées

Dépôts

Modification globale

Fusion des dépôts dupliqués

Suppression des dépôts inutilisés

Tâches générales "A faire"

Conversion du format date

Conversion des données BK5

Gedcom

Extraction des données

Fusion de données

Utilitaires

Conversion des noms en MAJUSCULES/minuscules

Recherche globale et remplacement

Remplacement global du N° de Référence

Rajouter un numéro BK supprimé

Suppression des retours à la ligne dans les fichiers texte

Ajout d'une source à une série de personnes

Marquer un groupe de personnes

Limiter les événements dans l'écran Edition

Recherche d'une boucle sans fin

Créer une base de données Palm

Configuration de l'imprimante

Préférences

Quitter Brother's Keeper


Types de caractères

Lors du choix d'un caractère d'écran ou d'imprimante, l'écran usuel de dialogue Windows sera affiché. Le caractère que vous choisissez sera utilisé uniquement pour l'impression à moins que vous ne sélectionniez un caractère pour l'écran d'ascendance.


Gedcom

Définition de GEDCOM

Importer un fichier gedcom

Exporter un fichier gedcom


Statistiques graphiques

Ce sous-programme peut produire plusieurs types de graphiques de statistiques. Ils ont pour objet le groupement méthodique ainsi que l'étude de séries de faits ou de données tels que:

Longévité (âge au décès)

Mois de naissance

Mois du décès

Mois du mariage

Nombre d'enfants par mariage (couples ayant au moins un enfant)

Nombre d'enfants par mariage (incluant couples sans enfant)

Dans ces représentations de statistiques graphiques vous pouvez:

Inclure toutes les personnes de la base de données.

Inclure seulement les ascendants d'une personne (excluant la personne choisie).

Inclure seulement les descendants d'une personne (incluant la personne choisie).

Si le graphique n'est pas produit correctement, vérifiez les Formats date sélectionnés dans Préférences.


Fiches familiales

L'impression des Fiches Familiales est obtenue en invoquant le menu Divers dans l'écran principal et en sélectionnant Fiches Familiales. Une fiche familiale est un rapport de une ou deux pages montrant une famille et une information de base sur le père, la mère et les enfants. Lors de l'impression d'une fiche, vous pouvez choisir plusieurs formats pour les données des enfants. Par exemple vous pouvez imprimer toutes les données et dans ce cas celles-ci seront identiques à celles des parents. Si vous optez uniquement pour les dates de naissance et de décès, les autres événements seront ignorés.

Ce programme vous permet d'imprimer, soit la fiche d'une seule famille, soit toutes les fiches concernant les ascendants ou descendants d'une famille, soit les fiches correspondant à une suite de numéros de code BK. Si vous choisissez cette dernière possibilité, vous pouvez éviter la répétition de l'impression des mêmes personnes; en effet, si une personne porte le numéro 30 et son conjoint le numéro 31, il est inutile d'imprimer les deux fiches puisque elles sont identiques.

Si vous choisissez d'imprimer les photos, une photo sera imprimée pour le père, une photo pour la mère et facultativement une photo pour chaque enfant. Au cas où plusieurs photos ou images seraient attachées à une personne, seule la première sera imprimée dans les fiches familiales; si vous voulez imprimer une autre image que la première, vous devez inscrire la mention "Group" ou "Primary" dans la colonne Imprimer où après le nom du fichier image que vous souhaitez imprimer. Si vous optez pour l'impression de toutes les informations concernant les enfants, les photos qui leur sont attachées pourront être également imprimées.

Si vous imprimez les fiches familiales par lots (ascendants ou descendants d'une personne) vous pouvez opter pour une pagination qui commence à la page 1 pour chaque lot ou encore préciser le numéro de départ afin d'obtenir une continuité entre les différents lots.

Le dernier onglet des options vous offre la possibilité d'imprimer une annotation personnelle en bas de chaque page.

Enfin, pour imprimer une fiche vierge (très utile lors de la collecte d'information), entrez le mot BLANK dans le nom de la personne dont vous imprimez la fiche.

Sélectionnez les autres options en cliquant les autres onglets.

Cliquez le bouton Aperçu pour afficher les fiches et le bouton Imprimer pour imprimer celles-ci.

Pour enregistrer les fiches dans un fichier, cliquez le menu Fichier et ensuite Création fichier TXT.

Pour créer un fichier HTML, cliquez Fichier et ensuite Création Fichier HTML. Vous choisirez alors un dossier dans lequel les fichiers HTML seront créés. Vous pourrez alors les télécharger sur votre site web ou les ouvrir avec votre navigateur internet.

Si vous incluez l'âge des personnes dans les fiches familiales (pour autant que les dates de naissance soient dans un format correct), celui-ci sera au jour de l'impression pour les personnes dont la date de décès n'est pas renseignée (information manquante ou personne toujours en vie). Voir Formats date.

Si vous avez choisi d'imprimer un index alphabétique, celui-ci sera imprimé quand toutes les personnes sélectionnées auront été imprimées.


Aide

Si vous cliquez Aide dans la barre des menus de l'écran principal, vous avez les choix suivants:

Ces choix sont décrits en détail ci-dessous. Vous pouvez aussi invoquer l'aide en tous temps en appuyant sur la touche F1.

Rubriques d'aide BK6

Cette option vous indique l'aide disponible pour les principaux menus de Brother's Keeper.

Changement de langue

Cet option vous permet de choisir une autre langue de fonctionnement, telle que Français, Danois, Portugais, etc.. pour autant que les fichiers langage correspondants aient été installés. Dans cet écran, vous trouverez une case à cocher si vous désirez ou non l'affichage des boutons langue (3 maximum) au bas de l'écran d'accueil, si toutefois vous avez installé trois langues différentes, par exemple français (Belgique), néerlandais, etc..

Résolution écran 640 x 480

Si les paramètres d'espace d'affichage sont réglés pour 800 x 600 ou plus, cet option réduira la fenêtre principale et toutes les autres de Brother's Keeper à 640 x 480. Ceci peut être intéressant si vous voulez voir d'autres programmes sur votre écran.

Résolution écran 800 x 600

Si les paramètres d'espace d'affichage sont réglés pour 1024 x 768 ou plus, cet option réduira la fenêtre principale et toutes les autres de Brother's Keeper à 800 x 600 . Ceci peut être intéressant si vous voulez voir d'autres programmes sur votre écran.

Enregistrez-vous

Cet utilitaire vous assiste à remplir et imprimer le formulaire d'enregistrement auprès de John Steed. Ce formulaire peut être envoyé par FAX ou courrier électronique (courriel, e-mail). Une autre méthode d'enregistrement peut se faire via le site internet www.bkwin.org ou www.bkwin.net.

Numéro d'enregistrement

En vous enregistrant auprès de l'auteur John Steed, en lui envoyant la somme de 45 dollars US, vous recevrez un numéro d'enregistrement. Cliquez Numéro d'enregistrement dans le menu Aide. Introduisez ce numéro, le mot de passe associé et votre nom. Cet action va débrider le programme et activer toutes ses fonctionalités. L'écran principal indiquera que vous avez une version enregistrée du programme. Si vous donnez ce programme à d'autres personnes, donnez-leur uniquement les fichiers BKSETUP6.EXE, mais ne leur donnez pas votre numéro d'enregistrement ni votre mot de passe. Ils seront alors en possession de la version partagicielle (shareware) du produit.

Support technique

Ce choix vous indique les différents moyens de contacter l'auteur.

A propos de BK6

Affiche la version du logiciel utilisé ainsi que quelques informations sur la mémoire de votre système.


Importer un fichier gedcom

Si quelqu'un vous a donné un fichier GEDCOM, ne l'ajoutez pas à votre base de données jusqu'à ce que vous sachiez ce qu'il contient; en effet, le résultat final peut ne pas vous satisfaire et vous aurez à restaurer votre base de données avec votre copie de sauvegarde la plus récente ou alors exécuter une suppression. Une bonne méthode consiste à créer un nouveau dossier et importer le fichier GEDCOM dans une nouvelle base de données et par la suite examiner ces données ; si les données semblent correctes, vous pourrez alors les importer dans votre base de données principale. Pour créer un nouveau dossier, voir précédemment à Ouverture d'une base de données.

Faites toujours une sauvegarde de vos fichiers avant d'importer un fichier GEDCOM.

La routine GEDCOM Import ajoute toutes les personnes du fichier gedcom dans les fichiers BK dans le dossier actuellement ouvert sans vérifier les duplications.

Si vous avez déjà un fichier GEDCOM créé par un autre logiciel, allez au paragraphe suivant. Pour transférer des données dans Brother's Keeper, vous devez d'abord créer un fichier GEDCOM qui contient les données généalogiques dans l'autre logiciel.

L'étape suivante dans l'importation consiste à exécuter la routine GEDCOM Import de manière à changer les données dans le format BK. Cliquez Fichier dans l'écran principal et ensuite la commande Gedcom, Importer. S'il y a déjà des données dans un fichier Brother's Keeper du dossier, alors le logiciel vous indiquera combien de noms sont dans le fichier existant. Les nouvelles données seront ajoutées à celles existantes. Le logiciel ne contrôlera pas s'il y a des duplications, c'est à dire que les données seront ajoutées intégralement.

Le logiciel demandera alors le nom du fichier à importer. Tapez le nom du lecteur, dossier ainsi que le nom du fichier.

Dès que l'importation est terminée, vous pouvez utiliser la routine contrôle de qualité pour vous assurer que tous les liens entre personnes sont corrects. Vous pouvez alors utiliser Brother's Keeper pour examiner le fichier et imprimer les différents rapports. Si vous importez un fichier GEDCOM qui a été créé par ROOTS III, vous pouvez exécuter la routine Qualité des données et elle ordonnera les enfants suivant leur date de naissance.

La routine GEDCOM de Brother's Keeper lira uniquement les fichiers qui ne sont pas éclatés en multiple fichiers séparés. Si vous obtenez de tels fichiers (un fichier Gedcom en deux parties), réunissez les deux parties en un seul fichier avant de le lire avec BK. Normalement, si un fichier est éclaté en plusieurs parties, le premier fichier terminera avec .GED et les autres parties auront une extension avec un nombre, tel que .G00. En d'autres mots, si vous avez MARTIN.GED et MARTIN.G00 sur deux disquettes, alors fusionnez les deux fichiers sur votre disque dur au moyen de la commande COPY. Par exemple:

COPY A:\MARTIN.GED + A:\MARTIN.G00 MARTIN.GED

Ceci attachera le fichier .G00 à la fin du fichier .GED de manière à permettre à BK de le lire en un seul jet.


Générations en alinéas

Pour créer un rapport en alinéa, sélectionnez Générations en alinéas dans le menu Descendance de la barre des menus. Le rapport en alinéas imprime toutes les informations d'une descendance et imprimera facultativement un index alphabétique.

Si vous avez l'intention d'éditer un livret et utiliser le style en alinéas, vous pouvez diriger la sortie du rapport sur le disque dur en format RTF (Rich Text Format) et par la suite utiliser votre traitement de texte pour le modifier ou l'améliorer. Pour créer un fichier RTF, sélectionnez les options dans l'onglet RTF et cliquez Créer fichier RTF dans le menu Fichier de la barre des menus.

Le rapport en alinéas utilise un système de numérotation hiérarchique qui assigne le chiffre romain I à la première personne, la lettre A au premier enfant de cette personne, B au deuxième enfant, etc..; le premier enfant de A sera numéroté 1, le deuxième 2, etc.. Le système de numérotation d'Aboville est également disponible.

Cliquez Options Registre Alinéas et Ascendance pour les détails des options communes des rapports du style livret.


Index

Si vous imprimez un index pour un rapport, vous pouvez choisir d'avoir l'index des noms imprimés sur deux ou trois colonnes par page. Si vous envoyez le rapport dans un fichier texte (RTF) pour un traitement ultérieur par votre processeur de texte, alors l'index sera invisible et sera créé dans votre traitement de texte en sélectionnant le menu contenant la rubrique de création d'un index. Voir Formats livret.

Si vous imprimez un rapport avec un index, et que par la suite vous désirez un autre copie de l'index, cliquez Fichier dans la barre des menus et puis Index uniquement. Ceci est pratique si vous décidez de changer les marges de l'index, ou imprimer un nombre différent de colonnes.


Noms de famille

Tous les noms doivent être introduits dans l'ordre suivant: Tous les prénoms suivis du nom de famille (pour plus de clarté, tapez le nom de famille en majuscules). Le logiciel est conçu pour trouver automatiquement le nom d'une personne à l'aide d'une liste alphabétique. Certains suffixes anglo-saxons tels Sr ou Jr (Senior, Junior) seront ignorés par le logiciel lors de la recherche de noms de famille. Si vous ajoutez un suffixe après le nom de famille et si le logiciel confond celui-ci avec le nom de famille, vous pouvez ajouter un point après le suffixe de manière à forcer le logiciel à omettre celui-ci et trouver le nom correct. Par exemple, si vous voulez indiquer un titre tel que Licencié en droit après un nom, tapez l'abréviation L. en D. ou L. ès L. (licencié en lettres) et ainsi le logiciel fonctionnera parfaitement.

Le programme essayera aussi de placer les noms de famille en deux ou plusieurs parties dans l'ordre correct. S'il arrive qu'un nom en plusieurs parties ne soit pas placé correctement, cliquez sur l'onglet Noms dans l'écran Édition et entrez le bon patronyme dans le champ Nom et entrez le nom sur lequel le tri doit se faire dans le champ Nom du tri.

Exemple: Si vous entrez un nom tel que Henry du PLESSIS MONTBRAY, le logiciel classera le nom en utilisant MONTBRAY, mais si vous entrez le nom du PLESSIS MONTBRAY dans le champ Nom et PLESSIS dans le champ Tri, le nom sera classé en utilisant PLESSIS.

Le logiciel reconnaît certains noms en plusieurs parties, tels que ceux commençant par Van, De, Le et ainsi le nom Jan VAN EYCK devrait être classé sans problème. Cependant si un des prénoms est VAN, le logiciel peut supposer qu'il s'agit d'un nom de famille en deux parties, donc placez le patronyme dans les champs Nom et Tri.


Liste des sources

La rubrique Sources du menu États affiche une liste alphabétique des sources existantes dans la base de données; une option d'impression de cette liste est également disponible. Pour modifier un source existante, cliquez Modification globale des sources dans le menu Fichier de l'écran principal.


Liste des bases de données

Si vous désirez utiliser différentes bases de données qui ne sont pas connectées entre elles, vous pouvez créer plusieurs dossiers où les données seront stockées. Pour faciliter le déplacement entre différentes bases de données, vous pouvez créer une liste de noms de dossiers et simplement cliquer sur celui qui vous intéresse. Pour créer une liste de noms de dossiers, cliquez Fichier dans la barre des menus de l'écran principal et sélectionnez Liste des bases de données. Ensuite cliquez le bouton Édition ; il ouvrira un éditeur et vous pourrez entrer un nom de dossier dans chaque ligne. Après avoir entré tous les noms de dossiers, cliquez Fichier et sélectionnez Enregistrer et fermer pour sortir de l'éditeur. Dès cet instant, quand vous sélectionnerez Liste des bases de données, vous verrez la liste de noms de dossiers et vous n'aurez qu'à sélectionner celui avec lequel vous voulez travailler.

Pour la plupart des utilisateurs, il peut être préférable de concentrer toutes les données dans un seul dossier. Le logiciel peut exploiter jusqu'à 10 million de noms dans un dossier et si toutes les personnes vous sont reliées (ou à vos enfants), alors vous obtiendrez les résultats voulus pour les graphiques et arbres en les gardant dans un seul dossier. Si vous avez des données dans plusieurs dossiers, vous ne pourrez pas imprimer des arbres ou graphiques incluant des personnes dans deux dossiers différents. Certains utilisateurs utilisent plusieurs dossiers parce qu'ils travaillent avec des données d'autres personnes, ou parce qu'ils ne désirent pas ajouter ces données à leur base de données principale, n'étant pas certains si les noms ont une relation quelconque.

Si vous désirez ouvrir une base de données sans l'ajouter à une liste, vous pouvez l'ouvrir en cliquant Fichier dans l'écran principal et ensuite Ouverture d'une base de données.


Liste onomastique ou Liste des témoins

Cet utilitaire produit une liste des divers noms de familles de votre base de données ainsi que le nombre de personnes (répartis selon leur sexe) qui les portent. Vous pouvez inclure toutes les personnes de la base de données, ou seulement les descendants d'une personne avec ou sans leur conjoint.

Après la compilation de la liste de noms, vous pouvez trier celle-ci alphabétiquement ou selon le nom de famille du plus au moins utilisé. Vous pouvez aussi omettre les noms qui sont cités une seule fois dans la base de données.

Pour générer une liste des témoins, ouvrez le menu Rapports dans le menu principal ou bien le menu Rapports dans l'écran Édition et choisissez Liste des témoins. Vous pouvez imprimer tous les témoins ou un seul. La liste contiendra tous les événements auxquels le ou les témoins sont reliés.


Listes & Rapports (menu de l'écran principal)

Listes & Rapports

En cliquant Listes & Rapports dans la barre des menus de l'écran principal, les choix suivants vous seront présentés:

Rapport alphabétique

Rapport numérique

Rapport par nº de référence

Recherche de mots

Anniversaires

Informations manquantes

Liste onomastique

Liste des témoins

Recherche/Liste de "A faire"

Liste alphabétique (triée sur le patronyme)

Liste alphabétique (triée sur les prénoms)

Liste numérique

Liste par nº de référence

Liste des personnes seules

Lieux

Lieux et événements

Sources


Modification globale des lieux

Pour changer globalement des lieux, cliquez Fichier et ensuite Lieux, Modifier globalement dans l'écran principal. Tapez le ou les lieux existants dans la case du haut et tapez le nouveau lieu dans la case du bas. Dès l'appui sur Démarrer le logiciel remplacera toutes les occurrences des lieux du haut avec celui du bas.

La meilleure façon de trouver le lieu ou lieux existants est de taper leurs quelques premières lettres et de presser ensuite la touche F8 pour lancer une recherche du lieu; sélectionnez ensuite le lieu dans la liste présentée. Vous pouvez aussi utiliser cette technique pour trouver un lieu qui remplacera un ou des lieux existants.


Lieux

Les champs contenant les lieux ont une capacité de 100 caractères. Comme plusieurs lieux seront répétés maintes fois, il y a quelques raccourcis pour accélérer votre travail. Si le lieu a déjà été entré précédemment, alors tapez les trois premiers caractères dans le champ lieu et appuyez sur la touche F8. Une liste de lieux ayant les trois premiers caractères identiques sera affichée, et en utilisant les flèches vers le haut ou vers le bas vous pourrez sélectionner le lieu désiré et vous presserez ensuite la touche Entrée. Ceci garantira que vous serez conséquent dans l'orthographe des lieux et réduira l'espace utilisé sur le disque dur de votre ordinateur. En effet, un espace disque est utilisé pour chaque unique lieu, mais une fois qu'un lieu a été enregistré, il ne requiert pas plus d'espace si plusieurs personnes utilisent ce même lieu.

Un autre raccourci est l'usage d'une Touche macro (Ctrl + touche) pour forcer le programme à se souvenir des lieux les plus souvent utilisés. En utilisant une combinaison de la touche Ctrl et une autre touche, vous pouvez invoquer un lieu en pressant uniquement deux touches.

Un deuxième raccourci consiste à entrer des guillemets ou une marque idem dans un champ Lieu et le programme copiera la donnée qui se trouve dans le champ lieu supérieur. Par exemple, si vous entrez le lieu de naissance Waterloo, Brabant et que dans le champ lieu de décès vous tapez " ou ' comme seul et unique caractère, le programme remplacera ce caractère par Waterloo, Brabant dès que vous appuyez sur la touche Entrée, c'est à dire que le programme copiera la valeur Lieu précédente la plus proche.

Un raccourci supplémentaire consiste à entrer un signe = (égal) dans le champ Lieu. Ce signe égal va indiquer au programme d'utiliser le lieu qui a été introduit en dernier lieu. Par exemple, si vous saisissez les données d'une épouse, et qu'elle soit née au même endroit que son mari, vous pouvez taper = dans le champ Lieu. Dès que vous appuierez sur Entrée, le système affichera le même lieu qui a été donné pour le mari. Ceci est pratique quand le signe " ou ' n'est pas utilisable si le lieu le plus proche n'est pas valable. Si plusieurs enfants sont nés au même endroit vous pouvez entrer = dans le champ Lieu de naissance et le logiciel copiera la donnée de l'enfant précédent. Rappelez-vous que " ou ' copiera toute donnée qui est dans le champ Lieu le plus proche tandis que = copiera la donnée qui est dans le même champ de la dernière personne entrée ou modifiée.

Pour modifier un lieu existant, allez dans l'écran principal de Brother's Keeper, cliquez Fichier, Lieux et ensuite Modification Globale.


Liste des lieux

La rubrique Lieux du menu Rapports affiche une liste alphabétique de lieux existants dans la base de données; une option d'impression de cette liste est également disponible. Pour modifier un lieu existant, cliquez Lieux dans le menu Fichier de l'écran principal.


Lieux et événements

Ce programme vous permet d'imprimer tous les lieux alphabétiquement avec l'événement s'y rattachant (naissance, baptême, mariage, décès), la date de l'événement, le numéro de code BK et le nom de la personne concernée ou seulement les lieux identiques à celui inscrit. Ceci vous permettra de vérifier la présence d'erreurs afin de corriger et standardiser les lieux.

Vous pouvez soit lister les événements par ordre chronologique (date) ou par leur code BK dans le cas où il y a beaucoup d'événements dans un seul lieu et si vous désirez voir si un même personne est rattachée plusieurs événements dans ce lieu.

Si vous ne désirez pas imprimer tous les lieux de la base de données, vous pouvez sélectionner les lieux se rapportant aux descendants d'une personne.

Une option existe également pour ajouter un signe égal (=) devant un événement pour lequel une source existe.


Marquage d'un groupe de personnes

Marquer un groupe de personnes

Ce programme vous permet de choisir un numéro de groupe de 1 à 5 et ensuite de sélectionner qui vous voulez dans ce groupe, tel que les ascendants ou les descendants d'une personne. Cliquez le bouton "Démarrer le marquage des personnes" pour marquer ce groupe de personnes. Par la suite, quand vous serez dans l'écran Édition, toute personne qui fait partie de ce groupe aura une marque distinctive (un bouton) dans son onglet Événements et quand vous placerez le pointeur de la souris sur cette marque, le programme vous indiquera de quel groupe cette personne fait partie. Si vous cliquez ce bouton, le programme affichera la personne principale de ce groupe (la persoone principale du groupe est déterminée par le numéro de code BK à la fin de la description). Vous pouvez changer la description d'un groupe en cliquant le nom en bas et après avoir entré un nom différent cliquez le bouton Enregistrer.

Lors de l'ajout de nouvelles personnes dans la base de données, celles-ci n'auront pas de marques. Si vous avez marqué un groupe d'ascendants ou un groupe de descendants et si par la suite vous ajoutez un novel ascendant ou descendant, ces personnes n'auront aucune marque. Vous pouvez marquer cette personne dans l'écran Edition en cliquant Ajout dans la barre des menus et en choisissant Marquer.

Vous pouvez aussi déconnecter une personne d'un groupe ou si vous voulez uniquement enlever la marque de cette personne, vous pouvez cliquer avec le bouton droit de la souris le bouton Marque et supprimer la marque.

Si vous désirez supprimer la marque de chaque personne d'un groupe, choisissez Utilitaires > Marquer un ngroupe de personnes et cliquer le bouton Effacer sur la droite.

Pour trouver les personnes qui font partie d'un groupe, cliquez Listes & Rapports dans l'écran d'acceuil > Recherche de mots et cliquez l'onglet Marques. Si vous créez un rapport (personnalisé) vous pouvez imprimer les champs 301 à 305 pour voir la marque de ces personnes.


Fusion de données

En cliquant Fichier dans la barre des menus dans l'écran principal et par la suite Fusion de données, vous aurez la possibilité de réunir deux bases de données. Si vous avez deux bases de données Brother's Keeper qui contiennent différents noms, vous pouvez les réunir en ajoutant toutes les personnes de l'une à l'autre. Avant de faire la fusion, il est conseillé de faire une sauvegarde des deux bases de données. Dès que les fichiers seront fusionnés, les numéros de code de l'une des base de données seront changés de manière à ne pas être en conflit avec ceux existant dans l'autre base. Actuellement, le programme ne vérifie pas l'existence de noms en double; c'est pourquoi il ne faut pas fusionner deux bases de données qui ont plusieurs personnes identiques dans leurs fichiers ou alors vous serez dans l'obligation de faire de nombreuses suppressions pour "nettoyer" la base de données résultante. Voir Personnes dupliquées.

Si le cas se présente où vous devez fusionner deux bases de données contenant des même personnes, agissez de la manière suivante:

Utilisez Extraction de données décrit précédemment pour extraire les noms uniques dans un dossier temporaire. Ensuite, utilisez cette routine (Fusion) pour réunir les personnes de ce dossier temporaire avec celles de l'autre base de données.

Il se peut qu'après avoir fusionné les deux bases de données, il subsiste encore quelques duplicata. Après avoir supprimé ces noms en double, et établi le lien entre les personnes de la base de données originale et celles de la nouvelle base de données, vous serez en possession d'une base de données bien organisée.


Informations manquantes

Cet utilitaire vous indiquera toutes les personnes qui ont des informations manquantes, telles que:

Date et/ou lieu de naissance.

Date et/ou lieu de décès.

Date et/ou lieu de mariage.

Date et/ou lieu de baptême.

Date et/ou lieu d'inhumation.

Profession.

Personnes qui n'ont ni père ou mère.

Vous pouvez sélectionner les champs que vous voulez vérifier et faire la recherche pour toutes les personnes de la base de données, ou seulement les descendants d'une personne ainsi que leurs conjoints.


Impaires, paires, commencer à ..

Dans plusieurs écrans d'options pour l'impression de rapports, il y a une zone « Quelles pages ? » dans l'onglet « Mise en page » qui permet de sélectionner Toutes, Impaires, Paires, Commencer à. Si Toutes est choisi, toutes les pages du rapport seront imprimées. Si vous choisissez Impaires ou Paires, seules les pages impaires ou paires seront imprimées. Cette option est intéressante si vous voulez imprimer les deux faces de votre feuille. Vous pouvez sélectionner et imprimer les pages impaires, retourner les pages imprimées et les replacer dans l'imprimante et ensuite sélectionner et imprimer les pages paires au verso. Vous pouvez éventuellement ajuster différemment la marge de gauche pour le verso.

Notez que l'option Impaires ou Paires n'est pas utilisée dans l'Aperçu avant impression.

L'option Commencer à .. est pratique si votre imprimante s'est bloquée vers la fin d'une longue impression. Par exemple, supposez que vous imprimiez un rapport de 100 pages et que l'imprimante se bloque à la page 87 ; alors, vous pourriez réimprimer le rapport and choisir l'option Commencer à .. la page 87. Notez dans ce cas que vous devez laisser l'option « Numéro 1ère page » à la valeur 1 dans la zone pagination ; en effet ce paramètre est utilisé uniquement si vous ne désirez pas numéroter la première page du document à 1. Par exemple, si vous imprimez deux rapports différents que vous voulez mettre par la suite dans la même reliure, vous pouvez numéroter les pages du premier rapport de 1 à 50 et celles du second rapport de 51 à 100 ; dans ce cas, vous mettrez la valeur Numéro 1ère page à 51 avant d'imprimer le second document.

Si vous avez aussi demandé l'impression d'un index, celui-ci peut être imprimé après que le rapport soit imprimé. Le logiciel préparera l'index indépendamment de l'option choisie dans la zone « Quelles pages ? » (Impaires, Paires, Commencer à). Vous devrez simplement imprimer l'index une seule fois puisqu' il sera pareil les deux fois. Si vous désirez imprimer l'index avec un caractère ou des marges différents, vous devez cliquer Fichier dans l'écran du rapport et Index seulement et le dernier index sera ré-imprimé avec les nouveaux caractères ou marges.

Notez que l'option Impaires, Paires, Commencer à .. n'est pas disponible aux utilisateurs non enregistrés. Voir Numéro d'enregistrement .


Ouverture d'une base de données

Pour ouvrir une base de données Brother's Keeper 6.0, ou pour créer une nouvelle base de données Brother's Keeper 6.0, cliquez Fichier, puis Ouverture de la base de données dans l'écran principal.

Vous pouvez ensuite choisir le lecteur et le dossier de la base de données désirée. Vous pouvez également créer une nouveau dossier. Les fichiers données Brother's Keeper seront alors ouverts ou créés dans le dossier que vous avez spécifié. Si vous désirez séparer les bases de données Brother's Keeper (vous ne voulez pas connecter les personnes dans différentes base de données), alors chaque base de données doit résider dans un dossier séparé.

Voir aussi, Liste des bases de données.

Notez que vous ne devez pas cliquer la rubrique Ouverture d'une base de données, à moins que vous vouliez ouvrir une autre base de données. Quand vous démarrez Brother's Keeper, le logiciel ouvrira la base de données qui avec laquelle vous avez travaillé précédemment.

Il est fortement recommandé de stocker votre base de données sur votre disque dur et de faire des sauvegardes fréquentes sur disquettes. Votre base de données usuelle ne doit jamais se trouver sur une disquette car elle pourrait être endommagée.


Préférences

Cliquez Fichier ensuite Préférences dans l'écran principal et vous aurez la possibilité de définir vos préférences quant aux paramètres utilisés dans Brother's Keeper.

Le premier onglet - Dates - offre un choix de formats de date que vous pouvez utiliser. Voir les différents formats en cliquant Formats date. Si vous changez le format dans cet onglet, cela affectera les nouvelles dates que vous ajouterez. Si vous voulez changer les dates existantes, voyez Fichier, Conversion du format date.

Le deuxième onglet vous permet de définir les noms de dossiers où vos fichiers texte externes et photo seront stockés.

L'onglet Divers a les options suivantes :

  • Dimension des étiquettes (nombre de lignes à partir du haut de l'étiquette jusqu'au haut de l'étiquette suivante).
  • Quelles lignes d'adresse à imprimer. Si vous imprimez des étiquettes en utilisant le champ de données 95, 96 ou 97 des rapports sur mesure, ceci vous indique quelles lignes des six lignes d'adresse s'imprimeront. Pour imprimer le numéro de téléphone, sélectionnez la ligne 6.
  • Caractère d'inhibition de notes. #. Toute note ou texte débutant avec ce caractère ne sera imprimé sur aucun rapport (ceci est pour BK5; BK6 utilise "Ne jamais imprimer" dans la colonne Où imprimer)
  • Caractère devant les numéros de code BK. #
  • Pourcentage de zoom pour l'aperçu avant l'impression.
  • Les épouses gardent leur nom de jeune fille. Si la plupart des épouses n'utilisent pas le nom de leur mari, sélectionnez cette option, sinon le rapport de naissance assumera qu'une femme mariée utilise le nom de famille de son mari. Vous pouvez passer outre à cette option en entrant un pseudonyme pour l'épouse dans l'écran Édition de personne.
  • Alignement à droite du champ Réf. Si cette option est choisie, tout ce que vous tapez dans le champ référence sera aligné à droite.
  • Enregistrer les modifications dans le fichier BKAUDIT.TXT. En activant cette option, tous les changements que vous apporterez à une personne seront enregistrés dans le fichier BKAUDIT.TXT.
  • Démarrer BK6 plein écran (avec la barre de tâches apparente en Windows 95). Normalement, Brother's Keeper démarre avec une fenêtre ajustable et vous pouvez cliquez le bouton carré du milieu (Windows 95) dans le coin supérieur droit de votre fenêtre pour ouvrir la fenêtre plein écran. Si la fenêtre principale est ajustable et si vous réduisez le format, alors les autres écrans seront du même format que la fenêtre principale. Toutefois, la plupart des écrans doivent être au moins 640 X 480 et par conséquent le changement de la dimension de la fenêtre principale sera effectif si vous avez une résolution de 800 X 600 ou plus.Démarrer BK au format 640 X 480. Cette option démarre BK avec une plus petite fenêtre si Windows est ajusté pour 800 X 600 ou plus.
  • Si le seconde page des états imprimés pose un problème tel que la première ligne en mode inversé, ou ayant des mots manquants, cochez l'option type. Ceci forcera le système à créer un nouveau traitement pour chaque page.Si vous cliquez le bouton Suppression pendant une impression et recevez un message erreur de Windows, cochez cet option.
  • Si votre système l'accepte, l'option Portrait/paysage changera automatiquement vos paramètres imprimante pour chaque état selon ce que vous aviez configuré au moment où vous avez sauvegardé (bouton Enregistrer) le rapport. Si votre système donne un message d'erreur après l'impression, alors ne cochez pas cette option et configurez votre imprimante de paysage vers portrait manuellement.

L'onglet Éditeur RTF vous permet de spécifier le logiciel de traitement de texte que vous voulez utiliser pour visualiser ou éditer des fichiers RTF (Rich Text Format) que vous créez avec BK (Cliquant Fichier, Créer Fichier RTF pour un rapport format livret par exemple.). Si vous choisissez un de ceux-ci, Brother's Keeper essayera de trouver le dossier et le nom du programme. Si BK n'est pas à même de trouver le logiciel spécifié dans cette option, vous pouvez spécifier le chemin d'accès complet au logiciel. Le dernier choix est pour tout autre Éditeur de texte qui n'est pas listé. Cet éditeur RTF peut également être utilisé quand vous éditez des fichiers externes attachés à l'onglet Notes.

L'onglet Écran Édition vous permettra de choisir comment l'écran Édition démarrera. Chaque fois que vous cliquez Édition dans l'écran principal, la fenêtre Édition s'ouvrira de la façon que vous avez spécifié dans cette option. Les choix sont :

  • Afficher la première personne de la base de données (la personne ayant le plus petit numéro de code BK).
  • Afficher la dernière personne de la base de données (la personne ayant le plus grand numéro de code BK).
  • Afficher la dernière personne traitée lors de la dernière utilisation de l'écran Édition.
  • Afficher une personne portant un numéro de code BK spécifique.
  • Aucune personne, c'est à dire garder les champs libres et obtenir une requête pour un nom à afficher.
  • Sous cet onglet, vous pouvez également paramétrer le programme pour ouvrir la fenêtre Édition au démarrage du programme au lieu de l'écran principal.
  • Configurer F10 pour signifier "Enregistrer et fermer" dans l'écran édition. Si vous aviez l'habitude d'utiliser la touche F10 dans la version DOS de BK5, vous pouvez ainsi utiliser F10 dans la version Windows, sinon utilisez F12.
  • Indiquer la date des dernières modifications - Ceci affichera dans l'écran Édition la date des dernières modifications. La date apparaîtra en haut de la grille événements.
  • Si vous utilisez un langue que contient des caractères accentués qui ne font pas partie de la police MS Sans Sarif, vous pouvez utiliser une police différente grâce à une option. Avant de faire ce changement, allez à l'écran Édition et appuyez sur Alt+F2 pour apercevoir une liste de caractère étrangers. Vous pouvez expérimenter des problèmes avec une police différente, mais si vous le juger nécessaire vous pouvez faire votre choix ici.

Après avoir défini vos préférences, vous pouvez cliquer Fichier et ensuite Enregistrer et fermer.


Divers (menu de l'écran principal)

Divers

Comme son nom l'indique, le menu Divers contient des rubriques diverses qui ne peuvent trouver une place dans les menus déjà cités.

Dès l'instant où d'autres rapports seront ajoutés à Brother's Keeper, certains apparaîtront ici. Cliquez une ligne soulignée ci-dessous pour plus d'informations.

Fiches familiales

Fiche individuelle

Recherche de parenté

Test de cohérence

Statistiques graphiques

Fichier Tiny Tafel

Sommaire des photos

Branches non reliées

Chronologie individuelle

Toute la parenté


Photo

Si vous avez un scanner, vous pouvez l'utiliser pour scanner des photos et les enregistrer sur votre ordinateur en format image (.jpg, .pcx, .png). Si vous avez une caméra numérique, copiez les photos sur votre disque dur, sous nimporte quel dossier ou dans le dossier photo que BK utilise par défaut.

Pour relier une photo à une personne, cliquer l'onglet Photo dans l'écran Édition et ensuite cliquez le bouton Ajout photo. Ensuite, sélectionnez la photo que vous voulez relier. Si toutes les photos se trouvent dans le même dossier, assurez-vous de placer le chemin d'accès dans Fichier, Préférences, Photos. Brother's keeper peut lire la plupart des formats image tels que .bmp, .pcx et .jpg; il ne lit pas le format .gif.

Pour voir une photo attachée à une personne, cliquez la colonne à gauche de la ligne photo. La photo sera affichée dans le coin droit supérieur; vous pourrez alors cliquer sur la photo pour la voir toute seule sur l'écran. Pour imprimer la photo, cliquez Fichier dans la barre des menus et ensuite Imprimer photo. La photo peut aussi être imprimée sur les Fiches familiales, sur les arbres ascendants (cliquez Options quand l'arbre est affiché), sur les organigrammes de descendance ainsi que dans les rapports en format livret tel que Générations en Alinéas. Pour imprimer un échantillon de vos photos, cliquez Divers dans le menu principal et sélectionnez Sommaire des photos.

Vous pouvez attacher jusqu'à 100 photos à chaque personne. Vous pouvez aussi attacher à un mari et à une épouse en sélectionnant Famille dans la colonne Indiv/Famille.Actuellement, les rapports impriment une photo par personne. Les rappoprts impriment la première photo ou bien celle marquée "principale" dans la colonne Imprimer où. Il se peut que les photos du type carte d'identité ou passeport soient de meilleures qualité à l'impression qu'à l'écran.

Une taille d'image peut être déterminée pour une photo. Ceci est utilisé sur les rapports de type Livrets pour augmenter ou diminuer la taille normale de la photo. Quand vous imprimez un rapport de type livret, vous pouvez changer la hauteur de la photo à 1,2 pouces ou un e autre valeur. Si vous voulez qu'une certaine photo soit plus grande que la taille normale, vous pouvez placer une valeur dans la coloone Taille et le programme ajoutera cette valeur à la taille normale. La valeur 5 dans la colonne Taile ajoutera 0,5 pouces à la taille normale. Si vous placez un nombre négatif (ex : -3) dans la colonne Taille, le programme imprimera une photo 0,3 pouces plus petite que la normale.


Sommaire des photos

Cette option vous permet de visualiser ou d'imprimer les fichiers photos d'un dossier ou toutes les photos reliées aux personnes de votre base de données.

Si vous visualisez les photos, vous en verrez 6 à la fois. Si certaines photos sont en noir et blanc, vous pourriez peut-être apercevoir un changement de couleur lors de l'affichage. Pour palier à cet effet, changez les paramètres de la carte graphique de votre ordinateur (si vous en avez la possibilité) pour l'affichage de millions de couleurs.

L'impression des photos groupera 35 photos par page. Les photos imprimées auront environ 1 pouce (25,4 mm) de hauteur. Si vous désirez imprimer des photos plus grandes, cliquez Options dans la barre des menus et choisissez 24, 12 ou 6 photos par page. Une option existe également pour imprimer les numéros de code BK et le nom des fichiers.

L'option Sommaire des photos n'est pas disponible aux utilisateurs non enregistrés.


Aperçu avant impression

Vous pouvez avoir un aperçu avant l'impression d'un grand nombre de rapports ou états. L'aperçu des pages du document vous indiquera quelles informations seront imprimées. Actuellement, l'aperçu peut afficher jusqu'à 200 pages du document. Après avoir visionné l'aperçu, vous pouvez imprimer ou retourner à l'écran du rapport et changer les options. Pendant que le programme charge un document volumineux, vous pouvez cliquer la première page pour avoir un aperçu des premières pages déjà chargées.

Tapez + ou - dans le contrôle de zoom pour agrandir ou réduire la page. Vous pouvez aussi ajuster le pourcentage de zoom par défaut au moyen de la commande Préférences du menu Fichier de l'écran principal.

Cliquez + ou - dans le contrôle de page pour changer la page affichée à l'écran.

Vous noterez parfois qu'en utilisant certains caractères d'impression, ou des noms en caractères gras ou encore des numéros de suscription, il peut y avoir des recouvrements ou des espaces sur l'écran. Pour y remédier, ajustez le zoom à 100%. Dans tous les cas, le rapport devrait être correctement imprimé.

Pendant que le document est préparé pour l'aperçu, ne fermez la fenêtre pas de l'aperçu; pour quitter, cliquez d'abord Annuler et ensuite fermez la fenêtre de l'aperçu.

Appuyez sur la touche bas de page pour visualiser les informations de fin de page. Appuyez Ctrl et N pour aller à la page suivante.


Configuration de l'imprimante

En cliquant Fichier et ensuite Configuration de l'imprimante dans n'importe quel menu, vous obtiendrez la liste des imprimantes qui ont été configurées sur votre ordinateur. Vous pouvez sélectionner l'imprimante appropriée où vous pouvez changer l'orientation de la page de portrait vers paysage ou bien encore changer le format papier et autres paramètres de votre imprimante. Cette version de Brother's Keeper utilisera l'imprimante que vous avez défini comme défaut, jusqu'à ce que vous sélectionniez une autre imprimante.


Annulation de l'impression

Lors de l'impression d'un document volumineux, une petite fenêtre s'affichera et indiquera quelle page est actuellement traitée.

Vous pouvez cliquer le bouton Annuler pour arrêter l'impression en cours. Cependant, les pages déjà traitées et envoyées à l'imprimante continueront à s's'imprimer après avoir cliqué Annuler.


Qualité des données

Pour vérifier la qualité des données dans votre base de données, cliquez Fichier dans l'écran principal et sélectionnez la commande Qualité des données.

Ce programme lira votre base de données et vérifiera si les liens entre personnes sont valides. Chaque personne est normalement reliée à des parents, un conjoint, des sources et lieux. Chaque mariage a des liens avec un époux, une épouse, des enfants, des sources et lieux. Si la base de données est désorganisée, cet utilitaire vous aidera à réparer ou supprimer les liens invalides. Votre base de données ne devrait normalement pas être altérée à moins que votre disque ait un mauvais secteur ou à moins que l'alimentation électrique de votre ordinateur ait été interrompue pendant que des données étaient écrites sur le disque dur.

Les erreurs décelées au cours de la vérification sont normalement affichées à l'écran, mais vous pouvez enregistrer celles-ci dans un fichier pour une utilisation ultérieure. Pour ce faire, appuyer sur la touche F5 avant de cliquer le bouton Démarrer.

Il est recommandé de sauvegarder vos données avant de laisser le programme Qualité des données corriger des erreurs. Si vous obtenez des erreurs, gardez vos anciennes sauvegardes et faites votre nouvelle sauvegarde sur une nouvelle disquette.


Rajouter un numéro BK supprimé

Cet utilitaire est utilisé pour rendre disponibles les numéros BK qui ont été supprimés lors des précédentes manipulations.

L'utilitaire ne rajoute pas le nom ou information sur une personne supprimée. Il remet en service le numéro et donne à la personne le nom "DISPONIBLE". Dès lors quand vous ajoutez un enfant à une famille, vous pouvez taper le mot DISPONIBLE et le système trouvera un des numéros rajoutés ; vous pourrez alors remplacer le nom - DISPONIBLE - par le nom réel de l'enfant.

Il n'est pas nécessaire d'utiliser cet utilitaire puisque le logiciel est conçu pour travailler correctement sans que tous les numéros soient utilisés. Pour rappel, le numéro de code BK n'est pas un numéro généalogique, il n'est donc pas important d'utiliser chaque numéro.


Réordonner enfants/époux

Pour réordonner les enfants d'une famille, affichez la famille en question et cliquez l'onglet Enfants et ensuite Réordonner au bas de l'écran.

Les enfants ou les conjoints seront montrés. Si les enfants ont une date de naissance, vous pouvez choisir Trier par naissance. Alternativement, vous pouvez utiliser les boutons Placer au-dessus ou Placer en-dessous pour déplacer cette personne autre part.

La commande Annuler / Restaurer annulera les déplacements et rétablira la situation initiale.

La commande Enregistrer établira les enfants et conjoints dans leurs nouvelles positions et vous ramènera dans l'écran Édition de famille.

Pour réordonner les conjoints, cliquez Édition dans la barre des menus et ensuite Réordonner les conjoints. Cette option n'apparaît dans le menu Édition que si une personne a deux ou plusieurs conjoints.

Si une personne a deux familles et que vous voulez réordonner les parents (changer les parents principaux), mettez la personne dans la zone Époux ou Épouse de l'écran Édition et cliquez Réordonner parents.

Les parents principaux sont ceux qui apparaissent sur l'arbre ascendant.


Test de cohérence

Ce programme permet de vérifier la cohérence de vos informations en se servant de l'âge minimum et maximum des personnes de votre base de données. Tous ceux qui ne répondent pas aux critères spécifiés seront sur ce rapport.

Exemple.: Vous voulez voir les personnes qui se sont mariées avant l'âge de 14 ans et après l'âge de 70 ans. A la ligne Âge au mariage inscrivez 14 à minimum et 70 à maximum et observez les résultats.

Cette routine découvre les erreurs qui par inadvertance auraient pu se glisser lors de la saisie de données. Une personne née en 1785 ne peut être décédée en 1960 mais plus vraisemblablement en 1860, et oui, vous aviez fait une erreur de frappe.

Note: Si la date de naissance n'est pas inscrite, cette personne n'apparaîtra pas sur le rapport.

Si le rapport indique des âges incorrects pour des personnes, vérifiez si le format date que vous utilisez est celui choisi dans Préférences. Voir Formats date.

Si vous exécutez fréquemment le test, vous pouvez paramétrer le test pour ignorer certaines données que vous avez déjà vérifié comme étant correctes.Le rapport ignorera les nombres qui sont dans le fichier nommé ignorebk.txt si vous créez ce fichier dans votre dossier de données. Si vous créez ce fichier, chaque ligne devra contenir deux nombres.

Le premier nombre est celui qui s'imprime à la gauche du rapport et le second nombre est le nombre devant l'autre personne. Ainsi, si le rapport indique par exemple que :

#123 Jean DUBOIS Différence d'âge avec le conjoint #345 = 42 ans.

vous pouvez placer les valeurs 123 345 dans une ligne du fichier ignorebk.txt dans votre dossier données et ce couple sera ignoré lors de la prochaine exécution du programme test de cohérence.

Si vous voulez ignorer un grand nombre de personnes, vous pouvez simplifier la procédure en utilisant le programme pour créer la liste de numéros. Générez le rapport et dirigez la sortie dans un fichier .TXT en utilisant l'option Créer un fichier .TXT et choisissez le nom ignorebk.txt (faites attention de créer ce fichier dans votre dossier données). Après avoir créé le fichier, utilisez Wordpad ou Bloc-notes pour éditer ce fichier. Supprimez tout, excepté les numéros de code BK des deux personnes, c'est à dire les symboles #, les noms et dates et tout autre texte. Conservez seulement les deux nombres séparés par un minimum de deux espaces et enregistrez votre fichier.

Si une des lignes du rapport indique que la personne #159 est décédée à l'âge de 107 ans, et que vous voulez ignorer ce fait, indiquez son numéro dans les deux endroits :

159 159

Cette personne sera alors ignorée dans les rapports futurs.


Recherche/liste de "A faire"

Ce rapport vous permet de choisir les tâches existantes et de sélectionner les champs à imprimer.

Dans la partie supérieure de l'onglet du milieu, choisissez parmi les champs de données les critères que voulez appliquer pour votre rapport. Par exemple, vous pouvez choisir d'imprimer seulement les tâches qui ont une 'Haute priorité' ou vous pouvez choisir dans le champ Lieu, les tâches qui doivent s'effectuer dans une certaine ville.

Dans la moitié inférieure de l'écran, sélectionnez si vous voulez imprimer toutes les tâches ou seulement les tâches générales ou uniquement les tâches attachées aux personnes dans l'écran Édition. Vous pouvez également sélectionner les personnes.

Cliquez ensuite l'onglet Données à inclure et choisissez les champs à imprimer pour les critères que vous avez entré précédemment. Par exemple, vous pouvez imprimer les champs Date, Description et Lieu .

Dans le menu Fichier, cliquez ensuite Aperçu, Imprimer ou Créer un fichier TXT.

Si vous sélectionnez un nombre particulier de champs à imprimer, vous pouvez sauvegarder cette sélection sous un certain nom qui pourra être utilisée dans le futur en cliquant Fichier ? Enregistrer ce format rapport.

Si vous voulez imprimer les tâches dans les Fiches familiales, vous pouvez sauvegarder la rapport sous le nom GROUPE et ce format de rapport sera utilisé et pour les Fiches familiales ; en d'autres mots, les champs de données que vous avez choisi ainsi que leur dimension seront utilisés lors de l'impression des tâches dans les Fiches familiales.


Enregistrez Brother's Keeper pour $49

Brother's Keeper est un logiciel shareware (partagiciel). Après avoir obtenu le logiciel d'un ami, du réseau Internet ou d'un distributeur shareware et après l'avoir essayé pendant quelque temps, vous devez enregistrer (payer) le programme. C'est seulement lors de votre enregistrement que l'auteur, M. Steed, est payé, car il ne reçoit aucune redevance des entreprises ou groupes qui font la distribution ou promotion de son programme. En vous enregistrant auprès de l'auteur (John Steed), en lui envoyant la somme de 49 USD, vous recevrez un numéro d'enregistrement, un manuel de documentation (anglais), la dernière version française du programme, un support technique et un mot de passe pour activer toutes les capacités du logiciel. Étant un utilisateur enregistré du programme, vous pourrez utiliser les mises à jour du logiciel et recevrez une réduction substantielle sur la prochaine nouvelle version. L'introduction du mot de passe vous donnera la possibilité de créer des fichiers RTF (Rich Text Format) dans les différents livrets, la possibilité de générer et imprimer un arbre ascendant de 6 générations, d'imprimer les photos des enfants dans les fiches de famille, la possibilité de faire une recherche soundex dans la recherche de mots, ainsi que la possibilité d'imprimer une page d'un état dans l'écran Aperçu avant Impression. Le sommaire des photos est également disponible aux seuls utilisateurs enregistrés.

Pour enregistrer le logiciel, cliquez Aide dans la barre des menus de l'écran principal et Comment vous enregistrer. Remplissez le formulaire présenté, imprimez-le et envoyez-le a John Steed par la poste ou par FAX.

Note: Si vous avez acheté une version enregistrée auprès d'un distributeur, transmettez à John Steed votre numéro d'enregistrement qui se trouve à l'intérieur de votre manuel utilisateur ainsi que vos nom et adresse. Vous pouvez envoyer ces informations par la poste ou via un message électronique (e-mail); pour ce faire voyez Support Technique dans le menu Aide. Vous serez alors averti environ une fois par an des mises à jour disponibles qui ont été apportées au produit.


Registre de descendance

Pour imprimer ce registre, cliquez Registre de descendance dans le menu Fichier de l'écran principal. Ce rapport imprimera toute information sur les descendants d'une personne et facultativement imprimera un index alphabétique. Si vous avez l'intention d'éditer un livret et utiliser le style registre, vous pouvez diriger la sortie du rapport sur le disque dur en format RTF (Rich Text Format) et par la suite utiliser votre traitement de texte pour le modifier ou l'améliorer. Pour créer un fichier RTF, sélectionnez les options dans l'onglet RTF et cliquez Créer fichier RTF dans le menu Fichier de la barre des menus.

Ce registre utilise un système de numérotation où la première personne est le numéro un et les enfants ont les numéros deux, trois, quatre, etc.. Chaque personne ayant des enfants reçoit un numéro. Les personnes n'ayant pas d'enfants, ne reçoivent pas de numéros à moins que vous ne choisissiez d'imprimer le "registre modifié" (voir ci-dessous). Pour voir toute l'information d'une personne listée comme enfant, voyez le même numéro à la génération suivante. Pour trouver qui sont les parents d'une personne, voyez le même numéro à la génération précédente. Si vous avez sélectionné l'option "registre modifié", toute les personnes reçoivent un numéro et les personnes qui ont des enfants ont un signe + devant leur numéro de manière à vous indiquer que des informations supplémentaires sur les enfants suivent.

  • Nom des enfants: Choisissez comment imprimer le nom des enfants la première fois, s'ils sont imprimés complètement par la suite. Si un enfant n'a pas d'enfants et n'est pas imprimé par la suite, son nom sera imprimé complètement de toute manière.

  • Indiquer le lignage de chaque descendant avec la personne de départ. Cette option imprimera après chaque nom des descendants le nom des parents, grands-parents, etc.. jusqu'à la personne de départ. Le numéro de registre sera imprimé devant chaque nom du lignage et un numéro de suscription sera imprimé après le nom indiquant la génération de cette personne.

  • Étiqueter les générations : Vous pouvez choisir un en-tête pour chaque génération tel que "Deuxième génération", "Troisième génération", etc.. ou vous pouvez choisir d'imprimer chaque fois "Génération suivante". Vous pouvez également programmer un saut de page à chaque génération.

Les options des rapports du style livret, sont détaillées ici ..Options Registre Alinéas et Ascendance


Numéro d'enregistrement

En vous enregistrant auprès de l'auteur (John Steed), en lui envoyant la somme de 49 USD , vous recevrez un numéro d'enregistrement et un mot de passe. A la réception du numéro d'enregistrement, cliquez Numéro d'enregistrement dans le menu Aide. Introduisez ce numéro, le mot de passe associé et votre nom. Cet action va activer toutes les fonctions du programme et l'écran principal indiquera que vous avez une version enregistrée du programme. Si vous donnez ce programme à d'autres personnes, donnez-leur uniquement le fichier BKSETUP6.EXE, mais ne leur donnez pas votre numéro d'enregistrement ni votre mot de passe. Ils seront alors en possession de la version partagicielle (shareware) du produit.


Rapports Registre, Alinéas et Ascendance

Les rapports en style Registre, Alinéas and Ascendance impriment dans un format livret avec un index alphabétique à la fin du livret. Les rapports style registre et en alinéas impriment les descendants d'une personne, tandis que le rapport d'ascendance imprime (comme son nom l'indique) les ascendants d'une personne.

Quelques options communes aux trois rapports sont détaillées ci-dessous. Vous pouvez ouvrir quatre onglets pour choisir vos préférences :

Mise en page : Dans ce premier onglet, vous définissez l'en-tête, les marges, la pagination et sélectionnez l'option d'impression des toutes les pages, des impaires/paires.

L'option impaires/paires n'est pas disponible aux utilisateurs non enregistrés.

En cas de remariage, voulez-vous voir de quels conjoints sont issus les enfants?

Champs à inclure : Cet onglet offre la possibilité d'imprimer les numéros de code BK. Cependant, il est probable que vous ne désirez pas imprimer ces codes, car cela peut gêner la compréhension des rapports Registre ou Ascendance qui impriment aussi des chiffres. Toutefois, si le rapport est pour votre usage personnel, il se peut que vous vouliez voir les numéros de code qui ont été assignés aux personnes au moment de leur enregistrement dans la base de données.

Vous pouvez si vous le voulez aussi imprimer la date du baptême si elle n'est pas nulle ou si la date de naissance est inconnue. Si vous voulez imprimer cette date, mentionnez dans le champ texte le nom ou abréviation que vous voulez assigner à cette date.

Vous pouvez imprimer le champ Réf.: après les champs date. Vous pouvez également indiquer dans un champ texte le nom de ces données. Si vous tapez "]" dans le champ texte, le champ Réf s'il n'est pas vide sera imprimé après le nom de la personne encadré par des crochets [ ].

Sources en pied de page : Cochez cette option pour imprimer les informations que vous avez introduites dans les lignes de source pour chaque date ou lieu. Ces lignes de texte sont celles que vous introduisez en appuyant sur la touche F6 quand vous saisissez les dates ou lieux pour une personne. Les sources seront indiquées par un numéro de renvoi (en suscription) vers une note de bas de page qui sera imprimée à la fin du rapport. Si vous créez un fichier en format RTF, les notes en pied de page seront imprimées en bas de chaque page.

Notes complémentaires : Cet onglet vous présente un choix d'options pour imprimer les notes que vous avez inclus et se rapportant à des personnes. Si vous choisissez "Toutes", alors toutes les notes et fichiers textes seront imprimés. Si vous choisissez "Notes * seulement", seuls les sept lignes de notes débutant par * seront imprimées. Si vous sélectionnez "Notes non formatées", toutes les lignes de notes ainsi que les fichiers texte, seront imprimés exactement comme vous les avez tapés. L'option "Notes non formatées" est pratique si vous avez des fichiers texte qui contiennent des informations en colonnes. Les notes complémentaires du conjoint peuvent également être imprimées si vous le voulez, éventuellement après un retour à la ligne. Actuellement toutes les notes s'impriment, à l'exception de celles marquées "ne jamais imprimer" dans la colonne "imprimer où". Dans l'avenir, il y aura une option pour choisir les notes à imprimer.

Options Rich Text Format (RTF) : Si vous voulez ultérieurement traiter le rapport avec un processeur de texte, ouvrez l'onglet Options RTF, sélectionnez le traitement de texte approprié et cliquez Créer fichier RTF dans le menu Fichier. Si vous avez choisi le même traitement de texte que celui défini par défaut dans les préférences, ce traitement de texte s'ouvrira automatiquement après la création du rapport. Si le rapport n'apparaît pas correct, recréez le rapport avec les marges gauche et droite mises à 0 (zéro). Pour créer un index, allez à la fin de votre document dans votre processeur de texte et cliquer la rubrique de création d'un index. Faites ceci après avoir fait les corrections et/ou avoir apporté les additions.

Si vous utilisez Microsoft Word, vous pouvez créer l'index des noms après l'importation du fichier RTF. Allez à la fin du document et sélectionnez le menu Insertion dans la barre des menus, et choisissez Saut.. et cliquez OK pour un saut de page. Sélectionnez à nouveau Insertion dans la barre des menus et choisissez Tables et Index et sélectionnez le format désiré. Cliquez OK et l'index sera créé.

Si vous utilisez WordPerfect pour Windows, voici comment créer l'index après avoir importé le fichier RTF. Allez à la fin du document et placez le curseur deux lignes en-dessous de la dernière personne. Sélectionnez ensuite Insertion et Saut de page. Sélectionnez ensuite Outils dans la barre des menus et choisissez Index (si vous avez WP 8 ou 9, cliquez Outils ensuite Référence et Index).Cette action affichera une nouvelle barre d'outils index. Dans cette nouvelle barre, cliquez le bouton Définition et ensuite OK l'index sera créé. Si vous désirez deux colonnes pour l'index, allez au début de la première ligne d'index et cliquez Format et Colonnes dans la barre des menus.

Cliquez Enregistrement si vous voulez pouvoir réutiliser ces paramètres la prochaine fois que vous imprimez un rapport.

Le bouton Aperçu vous permet d'afficher un aperçu du rapport à l'écran avant de cliquer le bouton Imprimer pour lancer l'impression.


Restauration des données

Pour restaurer les données que vous avez préalablement sauvegardé, cliquez Fichier dans le menu de l'écran principal et choisissez Restauration des données. Insérez la disquette contenant les fichiers données et sélectionnez la lettre (A ou B) correspondant au lecteur approprié.

Le programme vous indiquera alors la date et la taille des fichiers sur la disquette. Si les fichiers indiqués sont ceux que vous voulez restaurer, cliquez le bouton Restaurer.

Note: Les fichiers données existants sur votre disque dur dans le dossier sélectionné seront écrasés (réécrits). Si vous ne désirez pas effacer les fichiers sur votre disque dur, vous devez sélectionner un nouveau dossier ou un dossier vide avant de démarrer la restauration. Pour créer un nouveau dossier, cliquez Fichier dans le menu principal, sélectionnez Ouverture d'une base de données, tapez le nom du nouveau dossier et cliquez Créer. L'écran principal indiquera alors 0 noms et 0 mariages. Dès lors, vous pourrez restaurer les données de la disquette dans ce dossier nouvellement créé sans endommager la base de données existante.

Si vous avez aussi copié les fichiers Notes ou Photo sur la disquette lors de la sauvegarde des fichiers, ces fichiers seront restaurés dans le dossier approprié de votre disque dur.


Configuration d'une touche macro

Si vous notez que vous tapez souvent le même nom ou lieu, vous pouvez utiliser une procédure simple pour gagner du temps et éviter des erreurs. Ainsi, vous pouvez programmer une touche alphabétique (A-Z) ou numérique (0-9) pour représenter n'importe quel mot ou série de mots (nom, ville, etc..). Après avoir programmé la touche, vous appuierez simplement sur la touche Ctrl et tout en la maintenant enfoncée, vous appuierez sur la touche que vous avez programmée pour voir apparaître le nom ou série de mots définis pour cette touche. Pour programmer une touche macro, utilisez la procédure suivante :

Tapez un nom, un lieu ou un mot dans l'écran Édition de personne ou Édition de mariage.

Maintenez la touche Ctrl enfoncée et appuyez sur la touche F10.

Une nouvelle fenêtre s'ouvrira et vous appuierez sur la touche alphabétique (A-Z) ou numérique (0-9) de votre choix.

Cliquez Enregistrer.

La combinaison de touches Ctrl + touche est maintenant programmée. La prochaine fois que vous voudrez taper ce nom, lieu ou mot, enfoncez simplement la touche Ctrl et appuyez sur la même touche. Vous pouvez programmer toutes les touches alphabétiques ou numériques de la même manière. Cette configuration sera enregistrée et pourra être utilisée chaque fois que vous utilisez Brother's Keeper. Vous pouvez à tout moment re-programmer une touche de la même manière que précédemment de sorte à représenter un autre mot, nom ou lieu.

Exemple 1: Supposons que vous êtes sur le point d'ajouter plusieurs personnes qui sont nées à Charleville-Mézières, Ardennes. Quand vous entrerez la première personne, tapez Charleville-Mézières, Ardennes dans le champ; ensuite, pendant que le curseur est toujours dans le champ Lieu, maintenez la touche Ctrl enfoncée et appuyez sur F10. Dans la fenêtre qui s'ouvre, appuyez sur C. Cliquez ensuite Enregistrer et continuez l'ajout de la personne. La prochaine fois que vous voulez tapez la donnée.

Exemple 2: Supposons que vous allez ajouter plusieurs personnes qui ont le nom de famille DESCAMPS. Maintenez la touche Ctrl enfoncée et appuyez sur la touche F10. Dans la fenêtre qui apparaît, tapez D comme lettre, tapez DESCAMPS dans le champ texte et cliquez sur Enregistrer. Pour chaque personne nommée DESCAMPS que vous ajouterez, tapez uniquement les prénoms et ensuite Ctrl+D.

Notez qu'il y a d'autres moyens de répéter des noms ou lieux.

Quand vous ajoutez un enfant, appuyez sur la touche Ctrl + - ou Ctrl + Entrée pour copier le nom de famille du père ce cet enfant.

Pour trouver un lieu existant, tapez quelques lettres dans le champ Lieu et appuyez sur F8. Sélectionnez ensuite le lieu parmi les noms présentés. Vous pouvez aussi tape " (guillemets) dans un champ lieu pour répéter la valeur indiquée le champ lieu au-dessus de celui dans lequel vous êtes.


Sélection d'un dossier ou fichier

Quand Brother's Keeper vous demande de sélectionner un nom de dossier ou de répertoire, il vous présentera une fenêtre de dossiers. Il indiquera une lettre de disque (C:\) au sommet de la fenêtre et un nom de dossier en-dessous. Pour vous déplacer plus profondément, cliquez deux fois le nom du dossier. Pour afficher un dossier que vous ne voyez pas, cliquez deux fois la ligne C:\ au-dessus et le système vous affichera tous les dossiers existants sous C:\ Par la suite sélectionnez le dossier désiré.

Si vous créer une nouvelle base de données, il y aura une case dans laquelle vous pourrez entrer le nom du nouveau dossier ou répertoire. Par exemple C:\BK5\DUPONT et vous pouvez cliquer le bouton Créer.

Si vous êtes dans l'écran où vous pouvez sélectionner un fichier, alors la fenêtre affichera tous les fichiers dans le dossier choisi.


Sélection d'une personne

Au début de chaque état ou quand vous cliquez le bouton Trouver dans l'écran Édition de famille, une fenêtre s'ouvre pour vous permettre de sélectionner la personne de votre choix. Entrez un nom de personne ou un numéro de code BK et cliquez Trouver. Si vous entrez un nom, le programme vous présentera une liste de noms identiques parmi lesquels vous sélectionnerez un nom en cliquant le bouton Sélection; cliquez Annuler si vous ne voulez pas sélectionner une personne. Si vous entrez un numéro de code, le logiciel trouvera la personne directement. Vous pouvez aussi taper les cinq premières lettres du prénom, un espace et les cinq premières lettres du nom pour trouver la personne. Vous pouvez également taper un caractère / suivi de la valeur du champ Réf pour trouver une personne.

Exemple: Si vous avez la valeur 123 dans le champ Réf pour une personne, vous pouvez taper /123 pour trouver la personne.

Si vous ne connaissez pas le prénom de la personne que vous recherchez, tapez un ? au lieu du prénom.

Exemple: Tapez ? MOZART pour trouver toutes les personnes qui ont le nom MOZART.

Si vous ne connaissez pas le nom d'une personne que vous recherchez tapez un ? à la place du nom de famille.

Exemple: Tapez Michel ? pour trouver toutes les personnes dont le prénom est Michel.

Si vous connaissez seulement une partie du nom, vous pouvez taper ce que vous connaissez et substituer les caractères manquants par des points d'interrogation. Tapez cinq caractères pour le prénom et cinq caractères pour le nom.

Exemple: Jac?? DU??? pour trouver les personnes dont le prénom commence par Jac (Jacques, Jacqueline, etc..) et le patronyme commençant par DU (DUBOIS, DUPONT, DURAND, etc..). Ou bien tapez ?ar?? DUBOIS pour trouver les personnes ayant le patronyme DUBOIS et un prénom ayant les lettres ar en deuxième et troisième position (Marcel, Marcelin, etc..)

Notez que si vous tapez un ? à la place de la première lettre des prénom et nom, la recherche sera longue, puisque le logiciel sera forcé de lire tous les noms dans la base de données. Il est donc recommandé de taper la ou les premières lettres du patronyme pour accélérer la recherche.

Dans l'écran Édition, vous pouvez aussi cliquer Recherche dans la barre des menus et ensuite Recherche de mots pour trouver des personnes à partir de leur deuxième prénom, date, lieu ou autre champs.

Si vous voulez trouver une personne à l'aide de son second prénom ou un code soundex, utilisez l'utilitaire Recherche de mots.

Si une personne a un nom de famille en deux mots ou si le nom de famille n'est pas le dernier mot du nom, voyez Noms de famille.

Cliquez Annuler si vous voulez interrompre la sélection d'une personne.

Si plusieurs noms correspondent à votre recherche, cliquer le nom qui vous intéresse et cliquez Sélection ou cliquez deux fois le nom.

Si l'écran de sélection de personne affiche une liste de noms de la recherche précédente, vous pouvez sélectionner une personne parmi la liste ou vous pouvez taper un nouveau nom à trouver. Pour entrer un nouveau nom, tapez Alt+N ou cliquez un fois le champ ou vous tapez le nom. Ceci illuminera le nom dans le champ et quand vous appuierez sur une touche, le nom s'effacera. Si vous désirez simplement modifier le nom déjà inscrit dans le champ nom, cliquez une fois le nom et utilisez les flèches vers la gauche ou droite avant toute autre touche.


Sélection d'un lieu

Si plusieurs événements sont survenus au même endroit, il existe moyen facile de trouver des lieux existants en tapant les quelques premières lettres du nom et en pressant ensuite la touche F8 pour lancer une recherche du lieu. Une liste vous sera proposée et il vous suffira de sélectionner le lieu désiré. Vous pouvez aussi utiliser cette technique pour trouver un lieu qui sera utilisé pour remplacer une autre lieu.

Pour changer l'orthographe d'un lieu, voyez Modification globale des lieux.


Sélection d'une source

Plusieurs événements se réfèrent à une même source maîtresse. Quand vous ajoutez une source, une liste alphabétique de sources existantes vous sera proposée et il vous suffira de sélectionner la source désirée.

Pour changer l'orthographe d'une source, voyez Modification globale des sources.


Shareware

Brother's Keeper est un logiciel Shareware (Partagiciel) protégé par "Copyright" (droits d'auteur). Ce programme N'EST PAS du domaine public ou gratuit. Le Shareware est une méthode de distribution de logiciels par laquelle vous obtenez et essayez un programme et déterminez si le logiciel couvre vos besoins. Si la qualité du programme vous satisfait et si vous décidez de l'utiliser, vous êtes requis d'envoyer le prix demandé pour l'enregistrement à M. John Steed, l'auteur de ce programme. C'est seulement lors de votre enregistrement que l'auteur, M. Steed, sera payé, il ne reçoit en effet aucune redevance des entreprises ou groupes qui font la distribution ou promotion de son programme.

Si vous voulez encourager les logiciels de genre, enregistrez-vous en envoyant USD 49.- ainsi que le formulaire d'enregistrement qui peut être imprimé dans l'écran principal en cliquant Aide dans la barre des menus et puis Enregistrez-vous.

Les participants recevront un manuel de documentation (en anglais), la dernière version plurilingue du programme, un support technique et un mot de passe pour activer toutes les fonctions du logiciel. En devenant un utilisateur enregistré du programme, vous pourrez utiliser les mises à jour du logiciel et recevrez une réduction substantielle sur la prochaine nouvelle version.

Les fonctions supplémentaires activées par l'introduction du numéro d'enregistrement et de son mot de passe sont actuellement (avril 2001):

La possibilité de créer des rapports du style livret en format RTF (Rich Text Format).

La recherche SOUNDEX dans la recherche des noms.

L'impression d'un arbre ascendant de 6 générations.

L'impression des photos des enfants dans les fiches de famille.

L'impression d'une page unique (courante) à partir de l'écran "Aperçu avant impression".

La visualisation du sommaire des photos dans le menu Divers.

Des mises à jour mineures sont fréquemment apportées au logiciel et vous pouvez vérifier la présence de celles-ci sur internet et télécharger (download) la dernière version du logiciel à l'adresse:

http://www.bkwin.com ou http://www.bkwin.net

Si vous passez ce programme à d'autres personnes, donnez-leur uniquement le CD contenant le programme d'installation BKSETUP6.EXE. Ne donnez en aucun cas votre numéro d'enregistrement ou mot de passe.

Si une personne vend Brother's Keeper ou offre gratuitement le programme à l'achat d'un autre produit, celle-ci doit prévenir l'acheteur qu'il obtient la version shareware de Brother's Keeper et qu'il est tenu de payer USD 49.- à John Steed s'il désire enregistrer le produit et ainsi obtenir le manuel utilisateur et bénéficier des avantages décrits ci-dessus. Les points de vente doivent vous expliquer que le shareware est un système "essayer avant d'acheter". Toute personne qui vend Brother's Keeper et ne notifie pas l'acheteur de la méthode shareware dans la présentation du produit ou sur les disquettes, viole les droits d'auteur (Copyright). De même, l'annonce sur un site internet doit spécifier que le produit est un shareware. Le prix demandé à la vente qui couvre le conditionnement et les disquettes, ne peut excéder 10 dollars sans l'approbation de John Steed. De plus, personne ne peut vendre ni donner un mot de passe à quiconque; si quelqu'un vous vend Brother's Keeper accompagné du mot de passe, veuillez faire savoir à John Steed le numéro d'enregistrement ainsi que l'identité du vendeur. Celui-ci est peut-être un nouveau revendeur, mais s'il n'est pas autorisé à délivrer le mot de passe, John Steed est désireux de le savoir.

Ce programme est l'oeuvre de M. John Steed, membre de l'Association Professionnelle des SHAREWARE (ASP). L'ASP veille à ce que le principe du SHAREWARE fonctionne bien pour vous. Si vous n'êtes pas à même de résoudre un problème shareware directement avec un membre ASP, l'association peut vous aider. L'ombudsman peut vous aider à résoudre ce problème avec le membre ASP, mais n'offre aucun support technique aux utilisateurs du produit.

Écrivez à l'ombudsman ASP à l'adresse suivante :

157-F Love Avenue

Greenwood, IN 46142

USA

FAX : +1 317 888 2195

ou envoyez un message électronique à l'adresse omb@asp-shareware.org

Si vous avez des problèmes d'utilisation du programme, contactez John Steed directement (en anglais).

John Steed

6907 Childsdale Avenue

Rockford, MI 49341

USA

Téléphone : +1 616 364 5503

Email : brothers_keeper@msn.com

FAX : +1 616 866 3345

Sites internet : http://www.bkwin.com ou http://www.bkwin.net


Source

Dans la mesure du possible, vous devez toujours entrer une source lorsque vous saisissez l'information se rapportant à une personne. Cette source s'imprimera en note de pied de page dans plusieurs états. La source indique la provenance des informations, Date ou Lieu pour cette personne. Bien que vous sachiez parfaitement d'où vient l'information au moment où vous l'entrez, vous oublierez à la longue la provenance exacte des informations et il vous faudra beaucoup de temps pour documenter cette source dans l'avenir si vous ne l'avez pas fait immédiatement.

La source peut être un livre, une lettre d'un parent, un acte de naissance ou même une conversation téléphonique avec quiconque. Entrez suffisamment d'informations dans les divers champs de la source de manière à faciliter la lecture à d'autres personnes lisant ou utilisant votre travail. Ces personnes seront alors en mesure de retrouver l'information par elles mêmes.

En cliquant la colonne en-dessous de la lettre S dans la grille événements, une fenêtre s'ouvrira et vous pourrez voir ou ajouter des sources. Pour ajouter une source à un événement, cliquez Ajout Source. Vous pourrez alors choisir une source parmi une liste de sources maîtresses ou bien créer une nouvelle source.

Si la source est un livre, vous pouvez utiliser la même source pour plusieurs personnes et simplement indiquer lu numéro de page se rapportant à cette personne. Insérez le mot "page" de manière à l'imprimer en pied de page. Vous pouvez aussi utiliser la numéro de page comme numéro de bobine si l'information provient d'un microfilm.

Vous pouvez éventuellement utiliser un champ libellé Qualité pour indiquer la qualité de l'information. Plusieurs logiciels de généalogie utilisent la valeur 0 pour des sources ou dates de provenance douteuse et la valeur 3 pour des dates ou sources de provenance absolument sûres. Utilisez 1 si vous n'êtes pas tout à fait sûr et 2 si vous êtes presque sûr.

Si une personne a une source rattachée à événement, un S apparaîtra dans la colonne S pour cet événement.

Si vous avez une source se rapportant de manière générale à la personne et non pas à un événement précis, vous pouvez cliquer Source dans la barre des menus et sélectionner Source générale de la personne.


Extraction de données

Pour extraire certaines personnes d'une base de données et les re-diriger dans une base de données plus petite, cliquez Fichier dans la barre des menus de l'écran principal et sélectionnez la rubrique Extraction de données. Cette routine d'extraction est pratique si vous désirez envoyer des informations à un autre utilisateur Brother's Keeper. Souvent, l'intérêt de l'autre utilisateur porte sur une partie de l'information en votre possession et cette routine vous aidera à extraire uniquement les personnes concernées. Par exemple, vous pouvez sélectionner tous les ascendants ou tous les descendants d'une personne ou encore la combinaison des ascendants et descendants de plusieurs personnes. La façon normale d'opérer est de sélectionner les personnes; toutefois, vous pouvez sélectionner un groupe et par la suite enlever certaines personnes de ce groupe. Par exemple, vous pouvez sélectionner toutes les personnes et enlever tous les descendants d'une personne.

Après avoir sélectionné les personnes requises, cliquez le bouton libellé "Copier les personnes sélectionnées" pour démarrer l'extraction des personnes et transférer celles-ci dans un nouveau dossier. Ce programme s'exécutera plus rapidement si les données sont transférées vers un dossier temporaire sur votre disque dur, plutôt que sur une disquette.

Après l'extraction des données, vous pouvez faire une simple copie à partir du dossier temporaire de votre disque dur sur la disquette à envoyer à autrui. Si l'autre personne utilise un autre programme de généalogie qui peut lire des fichiers GEDCOM, alors il est préférable d'utiliser la routine GEDCOM Exporter pour transférer ces données.

La routine d'extraction des données crée un nouveau groupe de fichiers données Brother's Keeper. Elle ne supprime aucune personne dans votre base de données principale. Vous pouvez toutefois utiliser cette routine pour effectivement supprimer des personnes; il suffit de sélectionner les personnes que vous désirer garder, les extraire et transférer dans dossier temporaire. Par la suite, après vous être assuré que la base de données nouvellement créée contient les personnes adéquates, vous pouvez stopper le logiciel et COPIER les fichiers de la nouvelle base de données dans votre dossier usuel; vous serez alors en possession d'une base de données contenant les personnes que vous avez décidé de conserver.

Quand vous extrayez des données et qu'il s'avère qu'un fichier texte externe est attaché à un nom, le programme d'extraction créera un fichier appelé BKSPLIT.LST contenant la liste des fichiers texte que vous devez copier dans le nouveau dossier. Si vous envoyez vos données à autrui, vous devez également copier ces fichiers texte sur la disquette. Si vous créez un fichier GEDCOM à partir de la base de données nouvellement extraite alors ces fichiers textes seront inclus dans le fichier GEDCOM.


Supression des retours à la ligne

Suppression des retours à la ligne

Cet utilitaire est utilisé pour modifier les fichiers texte qui contiennent des lignes de petite longueur se terminant par un retour à la ligne. Les différentes lignes seront condensées dans un paragraphe avec des retours à la ligne automatique à la fin d'une ligne complète et ceci permettra d'imprimer les notes sur la largeur totale du papier lors de l'impression des rapports.

Dans BK5 les retours à la ligne forcés par un appui sur la touche Entrée étaient ignorés, mais en BK6 ces retours à la ligne sont pris en compte par la routine d'impression et provoquent l'impression d'une nouvelle ligne.

Utilisez cet utilitaire si les notes ne s'impriment pas correctement dans BK6 et s'imprimaient parfaitement en BK5


Tableau chronologique

Pour démarrer ce sous-programme, cliquez Ascendants dans la barre des menus de l'écran principal et puis Tableau chronologique. Ce rapport imprimera ou affichera les ascendants d'une personne en indiquant leurs années de naissance et de décès ainsi qu'une ligne représentant la durée de vie de ces ascendants dans le temps.

Dans ce graphique, vous pouvez aussi inclure des événements importants et/ou des personnes célèbres en introduisant ces informations dans le fichier BKEVENTS.TXT. Les événements de ce fichier seront imprimés en tête du graphique, pour autant que les ascendants qui seront imprimés aient vécu durant la même période. Le format du fichier BKEVENTS.TXT est:

Année de départ

Année de fin

Nom du personnage ou événement

Par exemple, 1770 1827 Beethoven.

Placez les événements les plus récents au début du fichier et les plus anciens en fin de fichier.


Tiny Tafel

Fichier Tiny Tafel

Le Tiny Tafel est un sommaire de tous vos ancêtres. Ce fichier contient des données simplifiées de chaque et unique nom de famille d'ancêtres de chacune de vos lignées familiales. Ce fichier est destiné à être échangé entre généalogistes et chercheurs qui réalisent leurs travaux par informatique. Il très utile aux gens qui recherchent des informations concernant les mêmes familles. Après création du fichier, vous devrez utiliser le programme TTGEN12 qui vous permettra de corriger le fichier, d'y ajouter de l'information ou d'en retirer si vous le désirez.

Si vous possédez un MODEM, vous pouvez vous connecter sur un serveur BBS axé sur la généalogie et envoyer (upload) sur celui-ci votre fichier TT; par la suite, le serveur rendra vos données accessibles partout dans le monde. Un lecteur intéressé pourra alors vous contacter pour de plus amples détails.

La USA National Genealogical Society +1 703 528-2612 a une liste de serveurs BBS sur le fichier GBBSxxx.ZIP.

Le fichier TT n'a pas pour objectif de reprendre tous les détails de la base de données. Il contient les noms avec les lieux et dates (début et fin) d'existence du nom. Le nom est codifié sous une forme appelée Code Soundex. Le code Soundex d'un patronyme est formé de la première lettre du patronyme, suivie de 3 chiffres représentant les trois premières consonnes du patronyme définis comme suit:

1 b, p, t, v

2 c, s, k, g, j, q, x, z

3 d, t

4 l

5 m, n

6 r

Exemple: Le code Soundex de WARNIEZ sera W652.


Modification globale

Recherche globale et remplacement

Cet utilitaire qui est dans le menu Fichier, Utilitaires peut être utilisé pour modifier globalement tous les noms d'individus ou encore modifier le chemin d'accès des fichiers texte ou photo reliés à des personnes ou mariages.

Utilisez cet utilitaire avec prudence, car il effectue des changements irréversibles. Il est impératif de posséder deux sauvegardes de qualité avant d'exécuter cet utilitaire.


Tâches générales

Il existe deux types de tâches. Le premier type est attaché à une personne dans l'écran Édition. L'autre type de tâche générale ou recherche n'est attaché et ne se réfère à aucune personne. En cliquant cette rubrique, vous ouvrirez un écran de type grille vous permettant d'ajouter ou de modifier une tâche ou recherche générale. Les tâches ou recherches affichées dans cette grille peuvent être imprimées ou pour plus d'options d'impression cliquez Listes & Rapports ? Recherche/Liste de Tâche.

Pour plus d'information sur la grille Tâche, cliquez ici.


Recherche de mots

Pour démarrer une recherche de mot, cliquez États dans la barre des menus de l'écran principal et puis Recherche de mots ou cliquez Recherche dans l'écran Édition.

Il y a trois types de recherche de mots; ces trois types de recherche peuvent être utilisés pour trouver une personne, éditer une personne ou imprimer des rapports sur mesure.

Le premier type de recherche se fait dans un champ spécifique; c'est à dire que la recherche d'un mot s'effectue dans un champ bien particulier. La recherche peut aussi se faire pour des personnes qui ont des mots de valeur égale dans plusieurs champs.

Exemple: Vous pouvez rechercher toutes les personnes de sexe féminin qui sont nées à Tournai en 1889.

Introduisez le mot que vous recherchez dans chaque champ. Si vous entrez des informations dans plus d'un champ, une personne devra avoir une valeur égale à ces informations dans TOUS les champs pour qu'une concordance soit trouvée. Certains champs, vous permettront d'introduire deux mots et vous pourrez spécifier si la concordance doit se faire sur les deux mots ou un des deux. Quelques exemples sont donnés dans l'écran d'entrée. Si vous appuyez sur F3 alors que le curseur est dans un champ, cela équivaudra à tester si le champ n'est pas vide et la concordance s'établira pour toute personne qui a des données dans ce champ. Vous pouvez par exemple utiliser cette technique pour trouver les personnes qui ont une date d'inhumation ou encore les personnes qui ont des données dans les lignes de notes complémentaires.

Le deuxième type de recherche de mots est identique au premier à l'exception du fichier dans lequel se fait la recherche qui est dans ce cas le fichier mariage qui contient les dates de mariage ainsi que les lieux de mariage.

Le troisième type de recherche de mots vous permet d'introduire un mot ou un nom et de lancer une recherche de celui-ci dans tous les champs de données de chaque personne.

Exemple: Si vous tapez 'Namur', le programme trouvera toutes les personnes qui sont nées ou décédées à Namur ou ont le mot Namur dans une des sept lignes de notes complémentaires.

Notez que ce type de recherche de mots recherche exactement ce que vous avez tapé. Ainsi, si vous tapez Marcel DUPONT, la concordance ne sera pas trouvée avec Marcel H DUPONT. Toutefois, ce type de recherche est pratique pour trouver des parents qui sont nés à, décédèrent à, ou furent mariés à, une ville quelconque. Vous pouvez aussi rechercher les personnes qui ont une date en commun.

Si vous cliquez le bouton Créer rapport, le programme recherchera les personnes qui satisfont à la recherche et ensuite vous permettra de sélectionner les champs que vous désirez imprimer pour ces personnes.

Si vous cliquez le bouton Liste à Éditer, une liste de noms vous sera présentée et en cliquant sur un des noms vous ouvrirez automatiquement l'écran Édition.


Recherche et Sélection d'une personne

Si vous utilisez Recherche de mots et cliquez le bouton Liste à éditer, le programme produira une liste de noms à l'écran et vous permettra de cliquer un nom pour obtenir plus d'information ou cliquer deux fois pour vous transférer dans l'écran Édition. Si vous éditez une personne et désirez retourner à l'écran de recherche de mots, cliquez le bouton Fermer dans l'écran Édition; si vous ne voulez pas revenir à l'écran de recherche de mots, cliquez Fichier dans la barre des menus et puis Fermer tout dans l'écran Édition.


Tâches

Il y a deux types de tâches ou recherches à effectuer. Un de ces types est Général et n'est attaché à aucune personne. Le type de tâche ou recherche dans l'écran Édition est attaché à une personne ; cet onglet Tâches présente la grille contenant les colonnes suivantes :

Date : Cette colonne peut contenir la date à laquelle vous avez entré la tâche à effectuer, ou la date où vous avez commencé une recherche. Vous pouvez aussi cliquer deux fois la colonne date et entrer deux dates, par exemple une date de départ et une date de fin.

Statut : Cette colonne contient un menu déroulant qui présente une liste de statuts qui sont blanc, planifiée, commencée, en cours, terminée.

Description : Cette colonne peut contenir un maximum de 120 caractères décrivant la tâche ou la recherche à effectuer. Si vous désirez plus d'espace pour une description plus longue, placez une courte description dans cette colonne et placez le plus long texte dans le cadre du haut ; ce dernier peut contenir jusqu'à 22.000 caractères.

Lieu : Cette colonne peut contenir un lieu ou un endroit. Pour trouver un lieu existant dans votre base de données, tapez les deux ou trois premières lettres et appuyez sur F8. Si vous projetez de vous rendre dans une certaine ville, vous pouvez imprimer une liste de 'A faire' pour cette ville.

Dépôt : A la place du lieu ou en plus de celui-ci, vous pouvez entrer un nom de dépôt d'archives. En cliquant la colonne Dépôt, le système ouvrira une fenêtre ou vous pourrez faire votre choix de dépôt parmi la liste proposée ou enregistrer/créer un nouveau dépôt.

Type : Cette colonne est un menu déroulant montrant une liste de types tels que : blanc, recherche, correspondance ou autre. Si vous utilisez cette colonne, vous pourrez par la suite imprimer une liste de tâches d'un certain type.

Priorité : Vous pouvez assigner une priorité à chaque tâche, qui peut être blanc, basse, moyenne ou haute. Ceci est pratique si vous voulez imprimer une liste de tâches qui ont une haute priorité.

Toutes les tâches à faire peuvent être imprimées à partir ce cet écran, ou pour une impression plus détaillée, cliquez Listes & Rapports > Recherche/Liste de Tâches dans l'écran d'accueil.


Détails du lieu

Alors que vous êtes dans l'écran Edition, vous pouvez cliquer deux fois un nom de lieu. Une nouvelle fenêtre s'ouvrira où vous pourrez entrer des informations supplémentaires sur ce lieu. Vous pourrez aussi attacher une note à ce lieu . Actuellement, la note n'apparît pas sur les rapports.


Toute la parenté d'une Personne

Ce programme permet de rechercher et d'imprimer tous les parents d'une personne en incluant tous les parents du conjoint de cette personne ainsi que les parents de ces parents et ainsi de suite. Si vous avez une base de données assez complexe avec de multiples lignages, ce programme devrait être capable de trouver ces parentés.

Commencez en vous limitant à 5 ou 6 générations et faites un Aperçu. Vous pourrez alors augnmenter le nombre de générations si nécessaire.

Quelques options disponibles dans l'onglet Données à inclure affectent la présentation du rapport.

Dès que vous obtenez à peu près ce que vous désirez, cliquez dans la barre des menus Fichier > Edition BKRelate.txt et vous pourrez ainsi apporter des modifications au rapport et l'imprimer par la suite en cliquant soit Fichier > Imprimer BKRelate.txt ou Aperçu BKRelate.txt.

Le calcul du rapport peut nécessiter quelques minutes et si vous voulez l'imprimer une nouvelle fois en changeant par exemple les marges ou la taille des caractères cliquez à nouveau Fichier > Imprimer BKRelate.txt pour ré-imprimer le fichier préalablement calculé. Cependant si vous cliquez les boutons Imprimer ou Aperçu sur la droite de l'écran pour ré-imprimer le rapport, celui-ci sera recalculé et le fichier BKRelate.txt sera réenregistré (écrasé).

Note : Si vous désirez calculer le degré de parenté entre deux personnes, il est préférable d'utiliser Divers > Recherche de parenté.


Boucle sans fin

Le programme Recherche de Boucle sans fin examine votre base de données et recherche les problèmes de boucle sans fin. Ainsi, si un rapport signale que "vous avez peut-être une boucle sans fin", exécutez cet utilitaire pour trouver le problème.

Une boucle sans fin survient lorsque une personne est un ascendant ou descendant d'elle-même

Ceci peut survenir si vous attachez accidentellement une mauvaise personne comme enfant à une famille. Ceci arrive quand des personnes ont le même patronyme et quand vous reliez la mauvaise personne à une famille à la mauvaise place.


Fichiers Média

Dans l'écran Edition, vous pouvez cliquer l'onglet Média et attacher des fichiers tels que vidéo, sons, html, pdf ou tout autre fichier dont Windows connait la manipulation. Ces fichiers sont reliés à la personne courante ou à la famille et il vous est possible de cliquer un bouton à la gauche du nom du fichier pour lancer le programme adéquat qui exploite ce type de fichier.Ces fichiers ne sont imprimés sur aucun des rapports Brother's Keeper. Si vous avez des fichiers photo que vous désirez imprimer sur des rapports, attachez-les plutôt dans l'onglet Photos.

Les fichiers de type média que vous attachez ne font pas partie de la base de données BK. La base de données pointe seulement vers ces fichiers quelque part sur votre ordinateur. Ne supprimez ou déplacez pas ces fichiers média, car BK ne sera plus capable de les exploiter.

Après avoir cliqué le bouton à gauche du nom de fichier, fermez le proprement programme qui a été lancé dès que vous aurez fini et le système vous ramènera dans Brother's Keeper.


Limiter les événements dans l'écran Edition

Par défaut, l'écran Edition affiche tous les événements disponible quand vous cliquez la flèche vers le bas du menu déroulant de la liste d'événements. Vous pouvez toutefois limiter les la liste d'événements à ceux que vous utilisez couramment ou que vous pourriez utiliser dans l'avenir. Dans l'écran d'accueil, cliquez Utilitaires ? Limiter les événements affichés dans l'écran Edition. La fenêtre qui s'ouvrira montrera tous les événements disponibles et vous pourrez dé-sélectionner les événements que vous ne voulez jamais voir dans la liste de l'écran édition. Cliquez ensuite le bouton Enregistrer pour sauvegarder vos choix. Dès ce moment, les événements qui apparaîtront dans l'écran Edition seront ceux que vous avez choisis.


Chronologie individuelle

Le tableau chronologique individuel imprime les dates de naissance, mariage et décès (et facultativement les lieux) de la personne de votre choix ainsi que ses parents, frères et sœurs, oncles et tantes, ses enfants et éventuellement ses petits et arrières-petits enfants. Il imprimera également les dates de décès des grands-parents.

Il est recommandé de faire un Aperçu du rapport pour découvrir comment il apparaîtra. Vous pourriez devoir réduire le nombre de années par page ou encore réduire la taille des caractères d'impression pour que le texte remplisse correctement la page. Vous pourrez passer à la phase d'impression dès que le format du texte vous semblera correct.

Dans l'onglet 'Mise en age' vous trouverez une option libellée 'Imprimer moins d'années par page (augmenter l'espace entre les années) si le nombre de pages n'est pas augmenté'. Voici quelques explications : Si par exemple, le rapport couvre une période de 100 ans de 1909 à 2009 et si vous choisissez d'imprimer 30 ans par page, les trois premières page du rapport contiendront 90 années et la quatrième page contiendra seulement 10 années, laissant un espace pour 20 années supplémentaires, ce qui n'est pas souhaité. Si l'option 'Imprimer moins d'années par page…' est activée et bien que vous demandiez d'imprimer 30 années par page, le programme calculera et déterminera que puisque le rapport nécessitera quatre pages, il pourra imprimer 25 années par page et utiliser la même quantité de papier tout en augmentant l'espace réservé pour chaque année de la période. Cet augmentation d'espace pour chaque année est aussi intéressant s'il arrive que trois ou quatre événements soient survenus la même année.

D'autres options existent dans l'onglet 'Données à inclure'. Une de ces options permet l'impression des numéros des années sans événements ; en d'autres mots, si elle n'est pas activée, les années (numéros) sans événements n'apparaîtront pas sur le rapport. Une autre options permet d'inclure les noms des femmes mariées, ce qui est utile si le rapport doit être lu par des personnes qui ne sont pas familières avec les noms de jeune fille.


Le logiciel assigne automatiquement un numéro de code à chaque personne introduite, mais ceci n'est pas un numéro généalogique. C'est simplement un numéro utilisé par le programme pour identifier et trouver rapidement les personnes dans la base de données. Vous n'êtes pas tenu d'imprimer ces numéros de codes dans les différents rapports et par conséquent ceux-ci ne devraient pas vous préoccuper. Les numéros généalogiques sont calculés automatiquement et imprimés sur les différents rapports. Par exemple, lors de l'impression d'un rapport d'ascendance, vous avez la possibilité d'imprimer la numérotation Sosa-Stradonitz (voir ci-après) pour chaque personne. Lors de l'impression de Registre de descendance, le logiciel calculera le numéro de registre pour chaque personne.


La méthode Sosa-Stradonitz parfois aussi appelée Eytzinger-Sosa-Stradonitz facilite grandement le repérage des ancêtres d'une génération.

Cette numérotation attribue le N° 1 au sujet dont on établit l'ascendance, le N° 2 à son père, le N° 3 à sa mère. On continue en attribuant le N° 4 au grand-père paternel, le N° 5 à la grand-mère paternelle, le N° 6 au grand-père maternel et ainsi de suite comme on le voit sur différents tableaux d'ascendance. Caractéristiques de la méthode :

-- Chacun des ancêtres a son numéro personnel.

-- Les hommes portent un numéro pair, les femmes un numéro impair. Le de Cujus (N° 1) peut cependant être un homme ou une femme.

-- Le numéro d'un père est le double de celui de son enfant.

-- L'épouse porte le numéro du mari plus une unité (+1). En conséquence, le numéro de la mère est le "double + 1" de celui de son enfant.

-- Les ancêtres de l'ascendance agnatique (celle qui transmet le nom) portent des numéros qui sont des puissances de 2.

-- Le numéro de l'ancêtre de la ligne agnatique correspond an nombre d'ancêtres de la génération, c'est-à-dire au nombre de quartiers.

-- La méthode fait apparaître les ancêtres auteurs de l'implexe (mariage consanguin).